2008-12-23  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmDatView.cpp (SearchNext): 検索バーからフォーカスを外れないようにするためにヒットしなかった場合、FALSEを返すようにした
	(SearchPrev): 検索バーからフォーカスを外れないようにするためにヒットしなかった場合、FALSEを返すようにした

	* q2chwmDatView.h (class Cq2chwmDatView): 検索バーからフォーカスを外れないようにするためにSearchNext, SearchPrevメソッドの戻り値をBOOLにした

	* q2chwmBookmarkView.cpp (ThreadReloadProc): スレッドの起動に失敗した場合メッセージボックスを表示するようにした

	* q2chwmBoardView.cpp (SearchNext): 検索バーからフォーカスを外れないようにするためにヒットしなかった場合、FALSEを返すようにした
	(SearchPrev): 検索バーからフォーカスを外れないようにするためにヒットしなかった場合、FALSEを返すようにした

	* MainFrm.cpp (OnExecSearch): 板一覧、スレッドビューで検索しヒットしなかった場合、検索バーからフォーカスが外れてないようにした

2008-12-21  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmCommon.h (ErrorMessageBox): メインスレッド以外のスレッドからエラーメッセージを表示するために、ErrorMessageBox関数の第2引数にウィンドウハンドルを追加

	* q2chwmCommon.cpp (ErrorMessageBox): メインスレッド以外のスレッドからエラーメッセージを表示するために、
	引数にウィンドウハンドルが渡されたら引数ウィンドウハンドルを親ウィンドウとしてメッセージボックスを表示するようにした
	(RenameFile): 移転先検出処理で正しくエラーハンドリングするために戻り値をBOOLにした

	* q2chwmDatView.cpp (CreateFromFile): DATを開いたタイミングでメニューを追加
	(CloseTab): DATを閉じたタイミングでメニューを削除
	(OnCmdMsg): タブ操作メニューの下のスレッドごとのメニューの実行メソッド
	(OnActivateView): ビューが非アクティブになったらスレッドごとのメニューを全て削除する。アクティブになったときには再作成する。

	* q2chwmDatView.h (class Cq2chwmDatView): タブ操作メニューの下にスレッドごとのメニューを作成するようにした(appendMenu, deleteMenu, clearMenu, createMenu)

	* q2chwmBoardView.cpp (DetectRemoval): 移転してなかった時、誤判定してしまいそうなので<script>〜</script>を厳密にチェックするようにした

	* q2chwmSubjectView.cpp (CreateFromHttp): subject.txtが0バイトなら移転先検出処理を行うようにした

	* MainFrm.h (class CMainFrame): ダイアルアップ時処理中にキャンセルチェックを行うコールバック関数CallbackCanceledProc追加

	* MainFrm.cpp (SetCancel): キャンセル時、WSACleanup APIをコールするようにした(gethostbyname等のブロッキング関数から即座に抜けるため)
	(CallbackProc): ブックマークリロード時、キャンセル処理が遅い時があるのでキャンセルチェック処理を追加(意味なかったかも)
	(AddHistory): 戻るの履歴に同じモードを存在させないようにした(板一覧→ブックマーク→スレッド→スレッド一覧→スレッドと移動したとき、スレッド一覧→ブックマーク→板一覧のように戻る)
	(OnOpenUrl): http://www.2ch.net/logo.gifのようなURLを考慮して画像のURLかどうかという判定を最優先するようにした

	* q2chwmBookmarkBoardFile.cpp (Remove): ブックマーク→板ビューでメニューから板を削除できるようにするためにRemoveメソッド追加
	(Write): 削除後、その他板ファイル(etc.txt)を更新するメソッド追加

	* q2chwmBookmarkBoardFile.h (class Cq2chwmBookmarkBoardFile): ブックマーク→板をメニューから削除できるようにした

	* q2chwmBoardView.cpp (OnDetectRemoval): ツール→移転先検出メニュー用メソッド追加
	(DetectRemoval): 引数の板URLを取得し移転先を検出〜移転処理を行うメソッド追加
	(Replace): ツリーアイテムの板URLを更新するメソッド追加(移転処理後呼び出される)

	* q2chwmBoardView.h (class Cq2chwmBoardView): 引数の板URLの移転先を検出するメソッドDetectRemoval追加
	(class Cq2chwmBoardView): 移転先検出後、メモリ内の板URLを更新するメソッドReplace追加
	(class Cq2chwmBoardView): ツール→移転先検出メニューのためのメソッドOnDetectRemoval追加

	* q2chwmBoardFile.h (class Cq2chwmBoardFile): 移転先検出機能のためにバックアップと板URL更新メソッド追加

	* q2chwmBoardFile.cpp (Replace): 移転先検出機能でboard.txtも板URLの更新が必要になったため親クラスCq2chwmBoardFileにReplaceメソッドを移動
	(Backup): 移転先検出処理で、バックアップを行う必要が発生したのでboard.txtのバックアップ(board.txt.bak)を行うメソッド追加
	(BackupFileName): バックアップファイル名(board.txt.bak)を返す

2008-12-20  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmBoardFile.cpp (FORMAT): CreateFromHttpメソッドでは、LFでboard.txtを作成するのでWriteメソッドでもLFでboard.txtを作成するようにした

	* q2chwmBoardItem.h (class Cq2chwmBoardItem): 板移転処理後、メモリ内の板URLを変更できるようにSetBoardUrlメソッド追加

	* q2chwmBookmarkBoardView.cpp (OnDelete): メニューの削除でブックマーク板を削除出来るようにした

	* q2chwmBookmarkBoardView.h (class Cq2chwmBookmarkBoardView): ブックマーク→板をメニューの削除で削除出来るようにした(OnDelete)

	* q2chwmDatView.cpp (CloseTab): DAT取得中ならタブを閉じないようにした(DAT取得中にCq2chwmDatCtrlをdeleteすることになるため)
	(Delete): DAT取得中ならDAT削除出来ないようにした(DAT取得中にCq2chwmDatCtrlをdeleteすることになるため)
	(Delete): DAT削除後、タブの数が0個になったら戻るを実行するように仕様変更

	* q2chwmDatView.h (class Cq2chwmDatView): DAT取得中は、メニューの削除とタブクローズを選択出来ないようにした(OnUpdateDelete, OnUpdateClosetab)

	* q2chwmDatCtrl.cpp (CreateFromHttp): マルチスレッドでDAT取得を行うようにした
	(class Cq2chwmDatCtrlThreadInfo): 新規追加、別スレッドに渡すクラス
	(ThreadHttpGetProc): 新規追加、DAT取得スレッド関数

	* q2chwmDatCtrl.h (class Cq2chwmDatCtrl): DAT取得処理をマルチスレッドで行うように修正、ThreadHttpGetProcスレッド関数追加

	* q2chwmEditCtrl.cpp (MoveWindow): パフォーマンス向上のためにMoveWindow APIコール時に再描画しないように修正

	* q2chwmImageView.cpp (class Cq2chwmImageViewThreadInfo): クラス名が重複していたためCq2chwmImageViewThreadInfoに変更

	* q2chwmBookmarkView.cpp (class Cq2chwmBookmarkViewThreadInfo): クラス名が重複していたためCq2chwmBookmarkViewThreadInfoに変更

2008-12-15  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmConnectionManager.cpp (Connect): AfxGetMainWndではマルチスレッド環境で正しくCMainFrameを取得出来ないためコールバック関数方式に変更

	* q2chwmConnectionManager.h (class Cq2chwmConnectionManager): Connectメソッドの引数にキャンセル用のコールバック関数を指定可能にした

2008-10-02  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmDatCtrl.cpp (DrawProc): ttp://のように省略されているとダウンロード中アイコンにならなかったバグを修正

	* q2chwmCommon.cpp (GetCompleteUrl): httpを補完するGetCompleteUrl関数追加

	* q2chwmCommon.h (GetCompleteUrl): httpを補完するGetCompleteUrl関数追加

	* q2chwmImageView.cpp (HttpGet): スレッド作成時のエラーハンドリング追加

2008-09-27  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmSubjectView.cpp (CreateFromHttp): 304 Not Modifiedの場合にCreateFromFileを呼ぶとオンラインモードの時に予期しない動きをしていたため、
	Cq2chwmSubjectFile::CreateFromFileを呼ぶだけにした

	* q2chwmSubjectFile.cpp (CreateFromHttp): 特に不具合が出たわけではないが、subject.txtのサイズが0ならIf-Modified-Sinceをつけないようにした

	* q2chwmImageView.cpp (HttpGet): 処理中URLをハッシュマップへ登録する処理をスレッドの外へ移動

	* q2chwmImageView.h (class Cq2chwmImageView): ダウンロード中の画像アイコンを変更するためにIsDownloadingメソッド追加

	* q2chwmDatView.cpp (CloseTab): CloseTabメソッド内でタブ数が0なら戻るという処理をすると最大タブ数を1に設定したときに不具合が発生するので
	OnCloseTabに戻る処理を移動
	(OnKeyDown): タブを閉じる処理でOnClosetabを呼ぶように修正
	(OnClosetab): タブクローズ後、タブ数が0なら戻るという処理を追加

	* q2chwmDatCtrl.h (class Cq2chwmDatCtrl): ダウンロード中の画像アイコンのハンドルを保持するメンバ変数追加

	* q2chwmDatCtrl.cpp (Cq2chwmDatCtrl): 画像ダウンロード中のアイコン(IDI_IMAGE_DOWNLOADING)をロードする処理追加
	(ResetNewKey): リロード時、未読をクリアしないようにした
	(DrawProc): 画像アイコン描画時、画像取得中のものはダウンロード中のアイコン(IDI_IMAGE_DOWNLOADING)を描画するようにした

	* MainFrm.cpp (OnOpenUrl): 画像ダウンロード中はアイコンを変えるためにCq2chwmImageView::HttpGet後にCq2chwmDatViewをInvalidateRectで再描画するようにした

2008-09-23  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmBoardFile.cpp (CreateFromFile): 特別企画カテゴリの下にテレビ番組表があったため特別企画も板一覧に表示するようにした
	(CreateFromHttp): bbsmenu.html取得時、Accept-Encoding: gzipをAccept-Encoding: identityにした
	(CreateFromHttp): WILLCOM高速化サービスだとhtmlの改行が全て削除されるようなので、htmlの中身をメモリ上に保持し、改行がなくてもパースできるようにした

	* q2chwmBoardView.cpp (CreateFromHttp): 板一覧リロード処理でエラーが発生したらエラーメッセージを表示するようにした

	* q2chwmDatView.h (class Cq2chwmDatView): WM_ERASEBKGNDを処理しないようにした

	* q2chwmDatView.cpp: タブ削除で再描画されなくなってしまったため、WM_ERASEBKGNDを処理しないようにした
	(CloseTab): タブ削除やスレッド削除後にタブの数が0になったら戻るようにした

2008-09-20  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmMessageDialog.cpp (Send): 2行目以降が書き込まれなかったため、hiddenパラメータの値をHTMLデコード→UrlEncodeしてパラメータを再セットするようにした
	(OnInitDialog): [Win32]書き込みダイアログを2回目に表示したとき落ちるバグを修正

	* q2chwmImage.cpp (GetSize): オリジナルサイズでの読み込みに失敗したとき出来るだけ大きなサムネイルを表示するために画像サイズを取得するメソッドGetSize追加

	* q2chwmImage.h (class Cq2chwmImage): 画像サイズを取得するメソッドGetSize追加

	* q2chwmImageView.cpp (OnDraw): 背景色を黒にしたときにエラーメッセージが表示されなかったため文字色を設定してから描画するようにした
	(CreateImage): オリジナルサイズでの表示に失敗したとき、オリジナル画像サイズの半分のサイズで表示するようにした
	(ThreadHttpGetProc): 画像がたまってくると(?)ファイルオープンに失敗したため、ファイル作成に失敗したときにエラーログを出力するようにした

2008-09-19  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmThreadDialog.cpp: クッキー確認ページのinputパラメータを再セットし直すように修正することでsuka=pontanに対応(hana=mogeraを削除)

	* q2chwmMessageDialog.cpp (Send): クッキー確認ページのinputパラメータを再セットし直すように修正することでsuka=pontanに対応

	* q2chwm.cpp (InitInstance): ブックマークを開く前にキャッシュやスレッド一覧からブックマーク追加操作をした際にブックマークが消えてしまうバグを修正

2008-09-07  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmCommon.h (BRIGHTNESS): 明るさマクロ追加

	* q2chwmColorSelector.cpp (DrawItem): フォーカス枠を見やすくした

	* q2chwmColorSelectorButton.cpp (DrawItem): フォーカス枠を見やすくした

	* q2chwmListView.cpp (OnEraseBkgnd): 最下部にごみが残ってしまったので設定された背景色で塗りつぶすようにした

	* q2chwmBoardView.cpp (Cq2chwmBoardView): マクロでアイコンサイズを静的に決定するようにした
	(OnPaint): 最下部が黒で表示されたため、メモリDC全体を最初に背景色で塗りつぶすようにした

	* q2chwmBoardView.h (class Cq2chwmBoardView): アイコンサイズをメンバヘンスウで保持するようにした

	* q2chwmListView.cpp (OnEraseBkgnd): ちらつきを抑えるためにWM_ERASEBKGNDメッセージを無視するようにした 

	* q2chwmListView.h (class Cq2chwmListView): ちらつきを抑えるためにWM_ERASEBKGNDメッセージ処理メソッドOnEraseBkgnd追加

	* q2chwmImageView.cpp (OnEraseBkgnd): 背景色の設定を有効にするために描画処理追加

	* q2chwmImageView.h (class Cq2chwmImageView): 背景色の設定を有効にするためにWM_ERASEBKGNDメッセージ処理メソッドOnEraseBkgnd追加

	* q2chwmDatCtrl.cpp (DrawProc): 画像URLが1行に複数存在する場合に、1つ目の画像を取得せずに2つ目の画像を取得した場合に画像がズレるバグを修正

	* nEdit.cpp (nedit_proc): 背景色を白以外の色に設定した際にちらつきが発生したため、WNDCLASS::hbrBackgroundをNULLに設定し、背景の描画を設定された背景色で行うようにした

	* q2chwmBoardView.cpp (Cq2chwmBoardView): ノードアイコンの読み込み
	(OnPaint): ノードアイコン描画処理追加
	(OnEraseBkgnd): ちらつきを抑えるためにWM_ERASEBKGNDメッセージを無視するようにした

	* q2chwmBoardView.h (class Cq2chwmBoardView): 背景色の設定をツリー部分にも適用するために、ツリー部分の描画を自前で行うようにした

	* q2chwmDatView.cpp (OnEraseBkgnd): ちらつきを抑えるためにWM_ERASEBKGNDメッセージを無視するようにした

	* q2chwmDatView.h (class Cq2chwmDatView): ちらつきを抑えるためにWM_ERASEBKGNDメッセージを無視するようにした

2008-08-24  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmDatFile.cpp (Convert): レスありメッセージのメッセージ番号に色が付かなかったバグの修正

2008-08-23  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmImageView.cpp (CreateImage): E_OUTOFMEMORY以外にもロードに失敗するときがあるようなのでS_OK以外ならサムネールを表示するよう修正

	* q2chwmppc.rc: ２ちゃんねる検索のソートオプションコンボボックス追加

	* q2chwmFind2chDialog.cpp (Cq2chwmFind2chDialog): ２ちゃんねる検索のソートオプション追加
	(makeUrl): find.2ch.net以外のサービスを今後使う予定はないので処理削除

	* q2chwmFind2chDialog.h (class Cq2chwmFind2chDialog): ２ちゃんねる検索のソートオプション追加

	* q2chwmConfig.cpp (Cq2chwmConfig): ２ちゃんねる検索のソートオプションを記憶する設定値の読み込み処理追加

	* q2chwmConfig.h (CONF_SORT_FIND2CH): ２ちゃんねる検索のソートオプションを記憶する設定追加

	* q2chwmDatCtrl.cpp (Create): ファイルが存在しないときにスレッドを開いてリロードしたケースでNGワードが有効にならなかったバグを修正

	* q2chwmCommon.cpp (GetClipBoardText): CloseClipboardされないパスがあったため修正

	* q2chwmSubjectView.cpp (CreateFromFindUrl): ２ちゃんねる検索後、ウィンドウタイトルがセットされなかったバグを修正
	(OnUpdateSortArticleId): ２ちゃんねる検索の場合、スレッドIDソートを無効にした
	(OnUpdateSortBname): ２ちゃんねる検索の場合、板名ソートを有効にした
	(OnSortBname): 板名検索処理追加

	* q2chwmSubjectView.h (class Cq2chwmSubjectView): ２ちゃんねる検索の場合、板名ソートを有効にするように修正

	* q2chwmThreadDialog.cpp (OnInitMenuPopup): Win32版でIEみたいに送信メニューを無効化するためにOnInitMenuPopupオーバーライド

	* q2chwmThreadDialog.h (class Cq2chwmThreadDialog): Win32版でIEみたいに送信メニューを無効化するためにOnInitMenuPopupオーバーライド

	* q2chwmSubjectFile.cpp (CreateFromFindUrl): find.2ch.net以外のサービスは今後対応する予定がないため処理を削除
	(CreateFromFindUrl): HTMLに書かれた総ヒット数分全て取得するようにした

	* q2chwmMessageDialog.cpp (OnInitDialog): Win32版のために書き込みダイアログにメニュー追加
	(OnInitMenuPopup): Win32版のときはIEみたいに送信メニューを無効にした

	* q2chwmMessageDialog.h (class Cq2chwmMessageDialog): Win32版のために書き込みダイアログにメニュー追加
	(class Cq2chwmMessageDialog): Win32版のときはIEみたいに送信メニューを無効にした

	* q2chwmBbsSubject.cpp (Parse): ２ちゃんねる検索時、板名に()が含まれているとパースに失敗するバグを修正
	(Parse): 板ID取得のために正規表現を使わないように修正

2008-08-18  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwm.vcproj: 動画設定追加

	* q2chwm.cpp (InitInstance): メニューのショートカットキーを数字に変更対応
	(OnConfig): メニューのショートカットキーを数字に変更対応
	(PopupViewMenu): メニューのショートカットキーを数字に変更対応
	(PopupCheckMenu): 複数選択メニューを表示するメソッド追加

	* q2chwm.h (class Cq2chwmApp): 複数選択メニューを表示するメソッドPopupCheckMenu追加

	* MainFrm.cpp (OnPopupMenu): メニューのショートカットキーを数字に変更対応
	(OpenBrowser): ブラウザで開くメニューのためにメソッド追加
	(Execute): 引数を指定してアプリケーションを起動するメソッド追加
	(OnOpenUrl): tp://形式のURLに対応
	(OnOpenUrl): YoutubeリンクをCorePlayerで開く設定対応
	(GetMenu): メニューのショートカットキーを数字に変更対応

	* MainFrm.h (class CMainFrame): ブラウザで開く機能のためにOpenBrowserメソッド、Executeメソッド追加
	(class CMainFrame): メニューのショートカットキーを数字に変更設定のためにGetMenuメソッド追加

2008-08-17  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmppc.rc: 複数選択メニュー、ブラウザで開くメニュー追加
	動画設定追加
	メニューのショートカットキーを数字に変更設定追加

	* q2chwmConfigDialog.cpp (OnInitDialog): 動画設定ダイアログ追加
	(OnInitDialog): メニューのショートカットを数字にする対応
	(OnMenuMovie): 動画設定ダイアログ表示処理
	(OnInitMenuPopup): Win32では動画設定ダイアログを表示しない(メニューを無効にする)

	* q2chwmConfigDialog.h (class Cq2chwmConfigDialog): 動画設定追加

	* q2chwmConfig.cpp (Cq2chwmConfig): 追加した設定の読み込み処理追加

	* q2chwmConfig.h (CONF_KEY_EDITREPLYALL): 返信(本文引用)キーバインド追加
	(CONF_KEY_CHECKMENU): 複数選択メニューキーバインド追加
	(CONF_KEY_EXECBROWSER): ブラウザ起動キーバインド追加
	(CONF_MENU_NUMBER): メニューのショートカットを数字にする設定
	(CONF_USEYOUTUBE): YoutubeをCorePlayerで開く設定
	(CONF_YOUTUBEBROWSER): CorePlayerのパス設定

2008-08-16  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmDatView.cpp (OnKeyDown): 返信(本文引用)のキーバインド対応
	(OnKeyDown): レスコピーキーバインド対応
	(OnKeyDown): ブラウザで開くキーバインド対応
	(OnOpenBrowser): ブラウザで開く用メソッド

	* q2chwmDatView.h (class Cq2chwmDatView): ブラウザで開くメニュー用メソッド追加

	* q2chwmPageOther.cpp (Write): メニューのショートカットキーを数字にするオプション追加

	* q2chwmImageView.cpp (OnKeyDown): メニューショートカットキー処理追加
	(OnKeyDown): ビュー変更ショートカットキー処理追加

	* q2chwmGrepDialog.cpp (OnInitDialog): 数字メニュー対応
	(OnKeyDown): 戻るメニュー処理追加
	(PreTranslateMessage): メッセージコピー処理追加

	* q2chwmEditCtrl.cpp (SearchPrev): ↑キーを押したときのURLの選択をhttpから行うようにした

	* q2chwmDatCtrl.cpp (Jump): 数字リンクでジャンプ後、選択を解除するようにした
	(PAT_URL): tp://形式のリンクに対応

	* q2chwmCommon.cpp (ReplaceMenu): メニュー文字列を動的に変更し、ショートカットキーを変更する関数

	* q2chwmCommon.h (ReplaceMenu): メニュー文字列を動的に変更し、ショートカットキーを変更する関数ReplaceMenu追加

	* q2chwmCacheView.cpp: 複数選択メニュー用のメソッド追加
	(OnKeyDown): 複数選択メニューのキーバインド処理追加

	* q2chwmCacheView.h (class Cq2chwmCacheView): 複数選択メニュー用のメソッド追加

	* q2chwmCommon.h (WM_USER_GETIMAGE): 画像ダウンロード後用のウィンドウメッセージ追加

	* q2chwmEditCtrl.cpp (AddText): InvalidateRectを自クラスのメソッドを使うようにした

	* q2chwmEditCtrl.h (class Cq2chwmEditCtrl): 画像ダウンロード後、再描画するためにInvalidateRectメソッド追加

	* q2chwmDatView.cpp (InvalidateRect): 画像ダウンロード後、再描画するためにInvalidateRectメソッド追加

	* q2chwmDatView.h (class Cq2chwmDatView): 画像ダウンロード後、再描画するためにInvalidateRectメソッド追加

	* q2chwmDatCtrl.h (class Cq2chwmDatCtrl): 画像ダウンロード後、再描画するためにInvalidateRectメソッド追加

	* MainFrm.cpp (ShowStatusBar): ステータスバーが表示(非表示)状態のとき、表示(非表示)命令が呼ばれても何もしないようにした。OnSizeが走って再描画でちらつくので
	(OnSetProgress): ステータスバーが表示されてなければ表示するようにした
	(OnGetImage): 画像ダウンロード終了時の処理メソッド追加
	(OnOpenUrl): 画像のダウンロードをマルチスレッドで行うようにした

	* MainFrm.h (class CMainFrame): 画像ダウンロード処理終了時に送信されるWM_USER_GETIMAGEメッセージを処理するメソッドOnGetImage追加

	* q2chwmImageView.cpp: マルチスレッドで画像をダウンロード出来るようにした

	* q2chwmImageView.h (class Cq2chwmGetImageInfo): 複数の画像を同時にダウンロードできるようにするために、マルチスレッド処理を実装

	* q2chwmImageManager.h (class Cq2chwmImageManager): コンパチブルなデバイスコンテキストを引数に渡せるようにした

	* q2chwmImageManager.cpp (Create): コンパチブルなデバイスコンテキストを引数に渡せるようにした

	* q2chwmImage.h (class Cq2chwmImage): コンパチブルなデバイスコンテキストを引数に渡せるようにし、引数のHDCを使ってビットマップ、メモリDCを作成するようにした

	* q2chwmImage.cpp (Create): コンパチブルなデバイスコンテキストを引数に渡せるようにし、引数のHDCを使ってビットマップ、メモリDCを作成するようにした

	* q2chwmDatFile.cpp (Convert): .jpg.htmlのようなURLがインラインサムネイル機能にヒットしてしまっていたためパターン修正

	* q2chwmDatCtrl.cpp (DrawProc): 画像ファイルが存在しないとき画像アイコンを表示するようにした
	画像URLを抽出するための正規表現を同じ行に対して複数回行わないようにした

	* q2chwmDatCtrl.h (class Cq2chwmDatCtrl): COLOR_IMAGEな行数分正規表現が行われてしまっていてパフォーマンスが低下したため画像ファイルパスを1行分だけキャッシュする仕組みを実装

	* q2chwmCacheImageFile.cpp (ExistsItem): CStringが引数のExistsItemメソッド追加

	* q2chwmCacheImageFile.h (class Cq2chwmCacheImageFile): CStringが引数のExistsItemメソッド追加

2008-08-11  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmDatFile.cpp (Convert): NGワード機能が無効になっていたため処理追加

	* q2chwmDatCtrl.cpp (CreateFromFile): NGワード用CYoRegexは参照が必要ないためSetReference(FALSE)

	* MainFrm.cpp (OnOpenUrl): 画像URLの正規表現をアスキー文字のみとするように修正

2008-08-10  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmImageView.cpp (OnDraw): 画像処理にCq2chwmImageクラスを使用するようにした

	* q2chwmImageView.h (class Cq2chwmImageView): 画像処理にCq2chwmImageクラスを使用するようにした

	* q2chwmConfig.cpp (Cq2chwmConfig): 画像設定追加

	* q2chwmConfig.h (class Cq2chwmConfig): 画像設定追加

	* q2chwmConfigDialog.cpp (OnInitDialog): 画像設定追加

	* q2chwmConfigDialog.h (class Cq2chwmConfigDialog): 画像設定追加

	* q2chwmDatCtrl.cpp (CreateFromFile): 書き込み先がCStringなConvertメソッドに変更
	(OnCustomMessage): 書き込み先がCStringなConvertメソッドに変更
	(MoveWindow): ステータスバー表示時に勝手にスクロールしてしまっていたので横幅が変更になったときだけJumpNumberを呼ぶように修正
	(GetMessageText): インラインサムネイルでCOLOR_IMAGE行が追加になったのでCOLOR_IMAGE行を含まないように修正
	(DrawProc): サムネイル画像表示処理追加

	* q2chwmDatCtrl.h (class Cq2chwmDatCtrl): インラインサムネイル機能追加

	* q2chwmDatFile.cpp (encodeTag): 書き込み先をCStringにしたencodeTagメソッド追加。書き込み先がwchar_t*なencodeTagメソッドはコメントアウト。

	* q2chwmDatFile.h (class Cq2chwmDatFile): 書き込み先がwchar_t*なencodeTagメソッドをコメントアウト

	* q2chwmDatFile.cpp (Convert): 書き込み先をCStringにしたConvertメソッド追加。書き込み先がwchar_t*なConvertメソッドはコメントアウト。

	* q2chwmDatFile.h (class Cq2chwmDatFile): インラインサムネイル機能でdatを読み込むまでバッファサイズが推測出来なくなってしまったため
	書き込み先をCStringにしたConvertメソッドを追加

	* q2chwmDatView.cpp (currentCtrl): wineで動かしたときに不正なメモリを参照してしまったためTCITEMをNULL初期化するようにした

	* q2chwmPageSystem.cpp: 画像設定追加に伴い「画像ビュー使用」オプションを移動

	* q2chwmPageSystem.h (class Cq2chwmPageSystem): 画像設定追加に伴い「画像ビュー使用」オプションを移動

	* q2chwmEditCtrl.cpp (GetLineString): q2ch拡張文字判別にIsExtCharメソッドを使うようにした
	(SearchNext): インラインサムネイル機能で再描画が発生すると重くなるのでInvalidateRect呼び出しを削除
	(SearchPrev): インラインサムネイル機能で再描画が発生すると重くなるのでInvalidateRect呼び出しを削除
	(IsExtChar): q2ch拡張文字を判別するメソッド追加

	* q2chwmEditCtrl.h (class Cq2chwmEditCtrl): インラインサムネイル機能のためにCOLOR_IMAGE追加

	* q2chwmCacheImageView.cpp (CreateList): Cq2chwmCacheImageFileクラスのシングルトーンパターン化に伴う修正

	* q2chwmCacheImageView.h (class Cq2chwmCacheImageView): Cq2chwmCacheImageFileクラスのシングルトーンパターン化に伴う修正

	* q2chwmCacheImageFile.cpp (GetInstance): インラインサムネイル機能でファイルの存在有無をこのクラスで確認するためにシングルトンパターン化

	* q2chwmCacheImageFile.h (class Cq2chwmCacheImageFile): インラインサムネイル機能でファイルの存在有無をこのクラスで確認するためにシングルトンパターン化
	(class Cq2chwmCacheImageFile): ExistsItemメソッドを追加してファイルの有無をハッシュマップで検索できるようにした

	* q2chwmBbsSubject.cpp (Parse): http://www.bbs2ch.net/対応

2008-05-04  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmSubjectFile.cpp (CreateFromFile): http://yutori.2ch.net/news4vip/subject.txtが壊れていてフォーマットエラーとなっていたので
	エラー行はスキップするようにした

	* q2chwmDatCtrl.cpp (CreateFromFile): datファイル内のスレッド名をHtmlToTextで変換するように修正
	(OnCustomMessage): datファイル内のスレッド名をHtmlToTextで変換するように修正
	(DrawProc): 前景色の設定(SetTextColor)を通常文字のときも必ずするようにした

	* q2chwn/0.0.7

	* q2chwmCommon.cpp (ReplaceMenu): メニュー文字列を動的に変更したかったけど挫折

	* q2chwmCommon.h (WM_USER_DELETEIMAGEFILE): 追加
	(WM_USER_ADDBOOKMARKBOARD): 追加
	(APP_VERSION): 0.0.7

	* q2chwmConfig.cpp (Cq2chwmConfig): 画像ビュー使用オプション追加

	* q2chwmConfig.h (CONF_USEIMAGEVIEW): 画像ビュー使用オプション追加

	* MainFrm.cpp (OnOpenUrl): 画像ビュー使用オプション設定時のみ画像ビューで開くようにした

	* q2chwmPageSystem.cpp (OnSize): デバッグ設定削除、画像ビュー使用オプション追加
	(Write): デバッグ設定削除、画像ビュー使用オプション追加

	* q2chwmPageSystem.h (class Cq2chwmPageSystem): デバッグ設定削除
	(class Cq2chwmPageSystem): 画像ビュー使用オプション追加

	* q2chwmPageOther.cpp (Write): デバッグ設定処理追加
	(OnSize): デバッグ設定処理追加
	(OnInitDialog): デバッグ設定処理追加

	* q2chwm.vcproj: 板ブックマーク系のソース追加

	* MainFrm.cpp (OnSize): 微妙にズレていたので高さを2ピクセル広げた
	(OnAddBookmarkBoard): 板ブックマーク追加処理
	(OnExecSearch): ブックマークタブ化によりタブの状態によって検索処理を振り分けるようにした
	(OnCopyInformation): キャッシュビュータブ化とブックマークタブ化を考慮
	(OnDeleteImageFile): 画像ビューで削除メニュー実行時に呼ばれるウィンドウメッセージ処理。画像キャッシュビューを更新する。

	* MainFrm.h (class CMainFrame): 画像ビューでの削除、板ブックマーク追加のウィンドウメッセージ処理追加

	* q2chwm.h (class Cq2chwmApp): ブックマークタブ化

	* q2chwm.cpp (InitInstance): ブックマークをタブ化
	(ShowBookmarkView): 板ブックマークビュー作成処理追加
	(OnConfig): キャッシュタブ、ブックマークタブのフォント設定処理追加

	* q2chwmTabView.cpp (SetFont): タブの高さを再計算するようにした
	(resizeView): 2ピクセル上に配置
	(OnShowWindow): 子ビューにWM_SHOWWINDOW送信
	(PreCreateWindow): WS_BORDER属性を削除

	* q2chwmTabView.h (class Cq2chwmTabView): WM_SHOWWINDOWメッセージを子ビューに知らせるためにOnShowWindowメソッド追加

	* q2chwmImageView.cpp (SetUrl): ファイルフォーマットエラー等で画像ファイルの読み込みに失敗した場合、画像ファイルを削除するようにした
	(OnKeyDown): 削除キーバインド
	(OnDelete): 削除処理

	* q2chwmImageView.h (class Cq2chwmImageView): 削除メニュー処理

	* q2chwmDatView.cpp (resizeCtrl): NULLチェック
	(SetFont): タブのフォント変更時タブの高さを再計算するようにした

	* q2chwmConfig.cpp (Cq2chwmConfig): 板ブックマークビュー追加でカラム幅などの設定を追加

	* q2chwmConfig.h (class Cq2chwmConfig): 板ブックマークビュー追加でカラム幅などの設定を追加

	* q2chwmCacheView.cpp (AddBookmark): タブビューとしたことによりGetParentをAfxGetMainWndに変更
	(Delete): タブビューとしたことによりGetParentをAfxGetMainWndに変更
	(PreCreateWindow): WS_BORDER属性を削除

	* q2chwmCacheView.h (class Cq2chwmCacheView): WS_BORDER消すためにPreCreateWindow追加

	* q2chwmCacheImageView.cpp (UpdateItem): 画像ビューで削除メニュー実行時に呼ばれる
	(CopyInformation): 画像キャッシュビューで情報コピーメニュー実行時に呼ばれる。URLのみコピー
	(PreCreateWindow): WS_BORDER属性を削除

	* q2chwmCacheImageView.h (class Cq2chwmCacheImageView): 画像ビューでの削除処理に対応するためにUpdateItemメソッド追加
	(class Cq2chwmCacheImageView): 情報コピーメニューのためにCopyInformationメソッド追加

	* q2chwmBookmarkView.cpp (OnKeyDown): タブビューとしたことによりGetParentをAfxGetMainWndに変更
	(OnListClicked): タブビューとしたことによりGetParentをAfxGetMainWndに変更
	(PreCreateWindow): WS_BORDER属性を削除

	* q2chwmBookmarkView.h (class Cq2chwmBookmarkView): WS_BORDER消すためにPreCreateWindow追加

	* q2chwmBoardView.cpp (OnAddBookmark): 板一覧ビューでブックマーク追加実行時、板ブックマークビューに追加するためにWM_USER_ADDBOOKMARKBOARDを送信するようにした

2008-05-03  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmBoardView.cpp (OnNMReturn): その他が空のときにクリックすると落ちるバグを修正
	(OnKeyDown): ブックマーク追加ショートカットを有効にした

	* q2chwm.cpp (InitInstance): 画像ビュー作成、画像キャッシュビュー、キャッシュタブ作成処理追加
	(ShowCacheView): キャッシュタブ化
	(ShowImageView): 画像ビュー表示処理
	(OnViewImage): 画像ビューメニュー処理

	* q2chwm.h (class Cq2chwmApp): Cq2chwmImageView(画像ビュー)、Cq2chwmCacheImageView(画像キャッシュビュー)、Cq2chwmTabView(キャッシュタブ化)追加

	* MainFrm.cpp (OnCacheImageClicked): 画像キャッシュビューのクリックメッセージ処理メソッド
	(OnCancel): 画像ダウンロード中のキャンセル処理追加
	(OnOpenUrl): 画像URLのとき、イメージビューで表示するようにした
	(OnUpdateCancel): 画像ダウンロード中のとき中止メニューを有効にするようにした

	* MainFrm.h (class CMainFrame): 画像キャッシュビューのクリックメッセージ処理メソッド追加

	* q2chwmConfig.cpp (Cq2chwmConfig): 画像キャッシュビュー追加によりカラム幅などの設定読み込み処理追加

	* q2chwmConfig.h (class Cq2chwmConfig): 画像キャッシュビュー追加によりカラム幅などの設定項目追加

	* q2chwmCacheView.cpp (OnListClicked): Cq2chwmTabViewが親ウィンドウとしたためクリックメッセージをGetParentではなくAfxGetMainWnd宛てに送信するようにした

	* q2chwmDatFile.cpp (encodeTag): &#x[16進数表記文字列];が考慮されていなかったため修正

2008-05-02  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmListItem.h (class Cq2chwmListItem): 板移転時、q2chwmの再起動をしないとブックマークビューが更新されなかったバグを修正

2008-05-01  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmListView.cpp (DrawItem): たまに画面が真っ白になってしまうためテキストの取得をGetItemTextメソッドで統一するようにした

2008-04-30  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmCommon.h (WM_USER_CACHEIMAGECLICKED): 画像キャッシュビュークリックのウィンドウメッセージ追加
	(UrlToImagePath): 画像URLから画像ファイルパスを取得する関数追加

	* q2chwmCommon.cpp (UrlToImagePath): 画像ディレクトリを[ルートディレクトリ]\.img固定とした
	(GetId): バッファオーバーフロー対策
	(GetRefer): バッファオーバーフロー対策
	(GetNumber): バッファオーバーフロー対策

	* q2chwmDatFile.cpp (getRefer): リンク文字列が長いとバッファオーバーフローするバグを修正
	(encodeTag): &#Unicode;みたいな文字を不正に変換してしまっていたため、HTML文字実態参照表記のチェックを厳密に行うようにした

2008-04-05  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmSubjectView.cpp (SortItems): 板Aでソートを実行し板Bへ移動したときにソート状態が起動時のものになったしまっていたためソート状態の保存処理をソート実行時に変更

	* q2chwmSubjectItem.cpp (GetCache): キャッシュソートが遅いのでCStringのファイル名メンバ変数で直接GetFileAttributesを呼ぶようにした(ちょっとだけ高速化)

	* q2chwmSubjectItem.h (class Cq2chwmSubjectItem): キャッシュソートが遅いのでファイル名をCStringでも持つようにした(ちょっとだけ高速化)

	* q2chwmSubjectView.cpp (SortItems): キャッシュソートが遅いので計測処理追加

	* q2chwmCacheFile.cpp (UpdateItem): FindClose呼び忘れ
	(AddItem): FindClose呼び忘れ

	* MainFrm.cpp (OnExecFind2ch): ２ちゃんねる検索ができなくなっていたバグを修正

	* q2chwmDatFile.cpp (Convert): 連続する改行を削除オプションで削除した行数をq2chwmメッセージとして付加するようにした

	* q2chwmDatFile.h (class Cq2chwmDatFile): 未使用のためconst char*方式の変換メソッドをコメントアウト

	* q2chwmPageBoard.cpp (checkDuplicate): 板URLの最後のスラッシュは必須なので追加、修正時スラッシュが付いてなかったら付加するようにした
	(OnBnClickedButtonMod): 修正ボタン押下後、Changeイベントが発生し一部修正前の値に戻ってしまっていたためSetItemTextする順番変更

	* q2chwmSubjectView.cpp (createList): 新規スレッドにアイコン表示パッチ(http://w-zero3.org/uploader/src/up1149.zip by 元研究所員A)

	* q2chwmSubjectItem.cpp (GetState): 新規スレッドにアイコン表示パッチ(http://w-zero3.org/uploader/src/up1149.zip by 元研究所員A)

	* q2chwmSubjectFile.cpp (compAsc): 新規スレッドにアイコン表示パッチ(http://w-zero3.org/uploader/src/up1149.zip by 元研究所員A)

	* q2chwmPageOther.cpp (Write): 起動時にブックマークを表示パッチ(http://w-zero3.org/uploader/src/up1149.zip by 元研究所員A)

	* q2chwmListView.cpp (DrawItem): 新規スレッドにアイコン表示パッチ(http://w-zero3.org/uploader/src/up1149.zip by 元研究所員A)

	* q2chwmListItem.cpp (Cq2chwmListItem): 新規スレッドにアイコン表示パッチ(http://w-zero3.org/uploader/src/up1149.zip by 元研究所員A)

	* q2chwmListItem.h (class Cq2chwmListItem): 新規スレッドにアイコン表示パッチ(http://w-zero3.org/uploader/src/up1149.zip by 元研究所員A)

	* q2chwmConfig.cpp (Cq2chwmConfig): 起動時にブックマークを表示パッチ(http://w-zero3.org/uploader/src/up1149.zip by 元研究所員A)

	* q2chwmConfig.h (CONF_BOOKMARKWHENSTARTING): 起動時にブックマークを表示パッチ(http://w-zero3.org/uploader/src/up1149.zip by 元研究所員A)

	* q2chwm.cpp (InitInstance): 起動時にブックマークを表示パッチ(http://w-zero3.org/uploader/src/up1149.zip by 元研究所員A)
	(OnUpdateViewSubject): スレッド一覧ビュー時にビューメニューにチェックが入っていなかったバグを修正

	* q2chwmCommon.h (WM_USER_EXECJUMP): 直接入力実行のためのウィンドウメッセージ追加
	(WM_USER_SHOWJUMPBAR): 直接入力バー表示・非表示のためのウィンドウメッセージ追加

	* q2chwmConfig.cpp (Cq2chwmConfig): 直接入力用の履歴読み込み処理追加
	(readKeyConf): 直接入力キー設定読み込み処理追加

	* q2chwmConfig.h (CONF_KEY_JUMP): 直接入力のキーバインド設定追加
	(CONF_HISTORY_JUMP): 直接入力用の履歴iniエントリー追加

	* MainFrm.cpp (OnCreate): 直接入力バー作成処理追加
	(OnSize): 直接入力バーリサイズ処理追加
	(ShowJumpBar): 直接入力バー表示メソッド
	(CURRENTMODE): 現在のモードを取得するマクロ(分かりにくかったので作成)
	(OnShowJumpBar): 直接入力バー表示・非表示のウィンドウメッセージ処理メソッド
	(OnExecFind2ch): 入力直後履歴に残らなかったバグを修正
	(OnExecSearch): 入力直後履歴に残らなかったバグを修正
	(PreTranslateMessage): 直接入力キーバインド処理を追加
	(OnOpenUrl): 直接入力メニューのためにビューを変更する処理を追加
	(OnJump): 直接入力メニュー
	(OnExecJump): 直接入力バーの実行ボタンが押されたときのウィンドウメッセージ処理メソッド

	* MainFrm.h (class CMainFrame): 直接入力メニューのためのメソッドをいくつか追加

	* q2chwmFind2chDialog.cpp (OnOK): ウィンドウメッセージの引数を他に合わせてconst char*に変更
	(ReloadHistory): 検索直後、コンボボックスに履歴として残っていなかったため履歴を再ロードするメソッド追加

	* q2chwmFind2chDialog.h (class Cq2chwmFind2chDialog): 検索直後、コンボボックスに履歴として残っていなかったバグを修正

	* q2chwmSearchDialog.cpp (ReloadHistory): 検索直後、コンボボックスに履歴として残っていなかったため履歴を再ロードするメソッド追加
	(OnBnClickedButtonFind): ウィンドウメッセージのKPARAMを他に合わせてconst char*に変更
	(OnBnClickedButtonPrev): ウィンドウメッセージのKPARAMを他に合わせてconst char*に変更
	(OnBnClickedButtonNext): ウィンドウメッセージのKPARAMを他に合わせてconst char*に変更

	* q2chwmSearchDialog.h (class Cq2chwmSearchDialog): 検索直後、コンボボックスに履歴として残っていなかったバグを修正

	* q2chwmStatusDialog.cpp: SetFocusメソッド削除

	* q2chwmStatusDialog.h (class Cq2chwmStatusDialog): SetFocusメソッド削除

	* q2chwmSubjectView.cpp (CreateFromFile): ファイル読み込みに失敗した場合エラーメッセージを表示するようにした

	* q2chwmDatCtrl.cpp (JumpNumber): JumpNumberメソッドに履歴に追加するかどうかのフラグを追加(直接入力でジャンプした場合は履歴を残す)

	* q2chwmDatCtrl.h (class Cq2chwmDatCtrl): JumpNumberメソッドに履歴に追加するかどうかのフラグを追加

	* q2chwmDatView.cpp: 外部クラスからレスジャンプできるようにJumpNumberメソッド追加(直接入力メニュー対応)

	* q2chwmDatView.h (class Cq2chwmDatView): 外部クラスからレスジャンプできるようにJumpNumberメソッド追加

	* q2chwmBbsSubject.cpp (Parse): エラーハンドリングが正しく行われていなかったため戻り値をFALSEに変更

2008-03-31  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* MainFrm.cpp (OnDeleteDatFile): スレッドビューでdatファイル削除が行われた際にブックマークビューとキャッシュビューのアイテム更新を促す

	* MainFrm.h (class CMainFrame): WM_USER_DELETEDATFILEメッセージを受け取るOnDeleteDatFileメソッド追加

	* q2chwmDatView.cpp (Delete): datファイル削除後、親ウィンドウにWM_USER_DELETEDATFILEメッセージを送信する処理追加

	* q2chwmCommon.h (WM_USER_DELETEDATFILE): スレッドビューでdatファイル削除後に親ウィンドウに通知するウィンドウメッセージ

	* q2chwmCacheView.cpp (Delete): 削除後ブックマークビューの該当アイテムを更新するようにした
	(UpdateItem): datファイルの状態が変化したとき(スレッドビューの削除やキャッシュビューの削除の後)にアイテムを更新するメソッド追加

	* q2chwmCacheView.h (class Cq2chwmCacheView): DatViewでdatファイル削除後に呼び出すためのメソッドUpdateItem追加

	* q2chwmCacheFile.cpp (addItem): 板移転前のdatの板名取得に失敗していたため板IDと板URLで検索するようにした
	(RemoveItem): 削除後、Noが更新されていなかったバグを修正
	(AddItem): ブックマークビューの仕様に合わせて先頭に追加するようにした(といっても再起動したら辞書順になるけど・・・)

	* q2chwmCacheFile.h (class Cq2chwmCacheFile): RemoveをAddItemやUpdateItemに合わせてRemoveItemとした

2008-03-30  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmDatCtrl.h (class Cq2chwmDatCtrl): JumpUrlでCMainFrameにPostMessageするようにしたためURL文字列を格納する領域m_str_jumpurlを追加

	* q2chwmDatCtrl.cpp (JumpUrl): タブ最大数1のときに自身が削除されdelete後のメモリアクセスが発生してしまうためPostMessageに変更した

	* q2chwmBookmarkItem.cpp (Cq2chwmBookmarkItem): m_bo_runningが未初期化だったため初期化処理追加

2008-03-29  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmppc.rc: 戻るが戻ると中止を兼ねていてわかりにくかったので中止メニューを追加。ついでに進むメニューを追加
	コピーもビューによって処理が異なっていて分かりにくかったので情報コピー、レスコピー、選択範囲コピーに分けた
	>>[レス番号]だけの返信が欲しかったので返信(本文引用)を追加

	* MainFrm.cpp (OnViewBack): 戻るメニュー用メソッド(OnCancelメソッド内にあった処理を移動)
	(OnViewForward): 進むメニューメソッド作成
	(OnCancel): 純粋に中止処理だけを行うようにした
	(OnOpenUrl): レス番号付きのURLに対応

	* MainFrm.h (class CMainFrame): 進む機能用の配列m_cModeForwardArray追加
	(class CMainFrame): 戻る、進むメソッド追加

	* q2chwmBoardView.cpp (OnKeyDown): 戻る、進むのキーバインドに対応

	* q2chwmBoardView.h (class Cq2chwmBoardView): Copy→CopyInformation

	* q2chwmCommon.h (WM_USER_VIEWBACK): 戻るメニュー用ウィンドウメッセージ追加
	(WM_USER_VIEWFORWARD): 進むメニュー用ウィンドウメッセージ追加

	* q2chwmConfig.cpp (readKeyConf): 戻る、進む、中止、情報コピー、レスコピーのキーバインド設定追加

	* q2chwmConfig.h (class Cq2chwmConfigKey): 戻る、進む、中止、情報コピー、レスコピーのキーバインド設定追加

	* q2chwmDatView.cpp (CreateFromFile): レス番号付きの２ちゃんねるURLに飛んだときのために引数in_numberを追加。DatCtrlを作成したあとin_numberへジャンプするようにした
	(OnKeyDown): 戻る、進むメニューに対応
	(CopyInformation): スレッド名とレス番号付きのURLをクリップボードにコピーする。CMainFrameから呼ばれる
	(OnCopyMessage): レスコピーメソッド追加
	(OnCopy): 選択範囲コピーメソッド追加
	(OnReplyAll): 返信(本文引用)メソッド追加
	(Reply): 返信、返信(本文引用)メニューを分けたため、引数で本文を引用するか>>[レス番号]のみかを変えられるメソッドを作成した

	* q2chwmDatView.h (class Cq2chwmDatView): CreateFromFileメソッドにジャンプ先のレス番号引数を追加
	(class Cq2chwmDatView): 情報コピーという名前にしたためCopyメソッドをCopyInformationに変更
	(class Cq2chwmDatView): 返信(本文引用)メニューを追加したためReply, OnReplyAllメソッド追加
	(class Cq2chwmDatView): レスコピー(OnCopyMessage), 選択範囲コピー(OnCopy)メニューの処理追加

	* q2chwmListView.cpp (OnKeyDown): 戻る, 進む, 中止メニューとしたため戻ると進むの処理追加

	* q2chwmListView.h (class Cq2chwmListView): コピー機能の名前を情報コピーにしたためCopyメソッドをCopyInformationに変更

	* q2chwmSubjectView.cpp: Copyメソッドは親クラスのCopyメソッドを呼んでいるだけだったので削除

	* q2chwmSubjectView.h (SortItems): Copyメソッドは親クラスのCopyメソッドを呼んでいるだけだったので削除

	* MainFrm.cpp (OnCustomMessage): Cq2chwmCacheView::OnCustomMessageコール処理追加

	* q2chwmCacheView.cpp (CreateList): datの検索を初回だけするように修正
	(OnCustomMessage): datファイルの書き込み完了メッセージを捕捉するメソッド

	* q2chwmCacheView.h (class Cq2chwmCacheView): datの検索を毎回行わないようにするためにdatファイルの書き込み完了時に呼ばれるOnCustomMessageメソッド追加
	このメソッドでdatファイルに関係するアイテムを更新する

	* q2chwmCacheItem.h (class Cq2chwmCacheItem): datの検索を毎回行わないようにするために更新日の更新メソッドSetDate追加

	* q2chwmCacheFile.h (class Cq2chwmCacheFile): SearchItem, UpdateItem, AddItemメソッド追加

	* q2chwmCacheFile.cpp (SearchItem): datファイルの検索をキャッシュビューを開くたびに行わないようにするために追加
	(UpdateItem): アイテムの更新をdatファイルの書き込み完了時に行うために追加
	(AddItem): アイテムの追加をdatファイルの書き込みkん両字に行うために追加

	* q2chwmBookmarkView.cpp (CreateFromFile): ファイル読み込み処理を起動時ではなくブックマークビューを最初に開いたときに変更

	* q2chwm.cpp: キャッシュを毎回作成しなおさないようにしたので「キャッシュは毎回作成」というコメント削除

2008-03-27  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmBookmarkView.cpp (OnDestroy): スレッドIDカラムの幅が保存されていなかったバグを修正

	* q2chwmConfig.cpp (Cq2chwmConfig): 読み込み高速化のためキャッシュを作成してから設定を読み込むようにした(CYoConfig::CreateCache)
	(Cq2chwmConfig): 引用カラー設定の読み込み処理追加

	* q2chwmConfig.h (CONF_COLOR_CITE): 引用カラー設定追加
	(class Cq2chwmConfigKey): キー設定名をメニューの文言にあわせた(キャンセル→戻る 表示スレの板一覧→表示スレッドの板を開く)

	* q2chwmDatCtrl.cpp (OnCustomMessage): Cq2chwmMessage::TYPE_RELOADFILEメッセージでレスが重複してしまったためnEditコントロールをクリアするようにした
	(OnKeyDown): 最大タブ数1のとき自分自身がdeleteされて落ちてしまうためPostMessageに変更した
	(DrawProc): 選択時は色を付けないようにした(文字は反転色で描画される)
	(DrawProc): >か＞で始まる行に引用カラー設定で設定された色を付けるようにした

	* q2chwmPageColor.cpp (OnInitDialog): 引用カラー設定追加

	* q2chwmPageColor.h (class Cq2chwmPageColor): 引用カラー設定追加

2008-03-22  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwm/0.0.5

	* q2chwmConfigDialog.h (SETCOMBOTOUSERAGENT): コンボボックスにUser-Agentをセットするマクロ(ネットワーク、ネットワーク(書き込み)設定で使用)

	* q2chwmPageNetworkWrite.cpp (OnInitDialog): User-AgentのセットをCq2chwmConfig.h内のマクロで行うようにした

	* q2chwmPageNetwork.cpp (OnInitDialog): User-AgentのセットをCq2chwmConfig.h内のマクロで行うようにした

	* q2chwmCommon.h (APP_VERSION): q2chwm/0.0.5

	* q2chwmDatCtrl.cpp (DrawProc): dwSizeを書き換えると無限ループしてしまうので描画時にszLinkの長さを指定するようにした

	* q2chwmCacheView.cpp (OnListClicked): 複数選択時はSetSelectedするだけ
	(Delete): 複数選択時はGetState()&Cq2chwmListItem::STATE_SELECTEDなアイテムを削除する
	(OnMultiSelect): 複数選択メニュー処理

	* q2chwmCacheView.h (class Cq2chwmCacheView): 複数選択対応

	* q2chwmBookmarkView.cpp (ThreadProc): 再描画範囲をせばめた(なんとなく早くなったかも)
	(OnListClicked): 複数選択時はSetSelectedするだけ
	(OnDelete): 複数選択時はGetState()&Cq2chwmListItem::STATE_SELECTEDなアイテムを削除する
	(OnMultiSelect): 複数選択メニュー処理

	* q2chwmBookmarkView.h (class Cq2chwmBookmarkView): 複数選択対応

	* q2chwmCacheItem.cpp (GetState): 複数選択対応

	* q2chwmCacheItem.h (class Cq2chwmCacheItem): 複数選択対応

	* q2chwmBookmarkItem.cpp (GetState): 複数選択対応

	* q2chwmBookmarkItem.h (class Cq2chwmBookmarkItem): 複数選択対応

	* q2chwmListView.cpp (DrawItem): キャッシュ複数選択のためにSTATE_SELECTEDなアイテムはアイコンの背景に色を付けるようにした

	* q2chwmListItem.h (class Cq2chwmListItem): キャッシュ複数選択のためにSTATE_SELECTEDを追加

	* q2chwmEditCtrl.cpp (GetLineLength): GetLineLength実装

	* q2chwmEditCtrl.h (class Cq2chwmEditCtrl): GetLineLength実装

	* q2chwmDatCtrl.cpp (DrawProc): リンク文字が複数行に渡ったとき行の終端の文字が1文字多く描画されてしまっていたためin_lenを考慮するようにした
	(OnLButtonUp): 行の終端より右をクリックした場合にも反応してしまっていたのを修正

2008-03-21  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmBookmarkView.cpp (waitThread): WaitForMultipleObjectsのエラーハンドリング追加
	(ThreadProc): スレッドの取得が終わったタイミングで勢いを再計算するようにした

	* q2chwmBookmarkView.h (class Cq2chwmBookmarkView): WaitForMultipleObjectsのエラーハンドリングをするようにしたので戻り値をBOOLとした

	* q2chwmDatCtrl.cpp (OnLButtonUp): したらばでIDクリックが効かなかったため修正

	* q2chwmListItem.h (class Cq2chwmListItem): ブックマークビューはどこかのタイミングで勢いを再計算する必要があったためClearCountPerDayメソッド追加(結局リロードのタイミングで勢い再計算)

	* q2chwmDatCtrl.cpp (DrawProc): 改行を飛ばす

	* q2chwmCommon.cpp (GetLink): 改行文字までしか検索しないようにした

	* q2chwmGrepDialog.cpp: SetColor系メソッド削除

	* q2chwmGrepDialog.h: なぜかresourceppc.hをincludeしないとIDDが解決できなくなった・・・

	* q2chwmEditCtrl.cpp: 未使用メソッドvoid SetColor(COLORREF*)を削除

	* q2chwmEditCtrl.h (class Cq2chwmEditCtrl): nEditコントロールへコールバック関数を登録するメソッド追加

	* q2chwmDatView.cpp (OnGrepId): 抽出処理をDatCtrlへ移動
	(OnGrepName): 抽出処理をDatCtrlへ移動
	(OnGrepRefer): 抽出処理をDatCtrlへ移動

	* q2chwmDatView.h (OnKeyDown): nEditコントロールへコールバック関数を登録する形に変更したためOnNeditMsgメソッドを削除

	* q2chwmDatFile.cpp (Convert): 被レス回数とID出現回数を引数ハッシュマップに格納する処理を追加
	(getId): ID出現回数をハッシュマップに格納するメソッド
	(getRefer): 被レス回数をハッシュマップに格納するメソッド

	* q2chwmDatFile.h (class Cq2chwmDatFile): Convertの引数に被レス回数とID出現回数を格納するハッシュマップを追加

	* q2chwmDatCtrl.cpp (Cq2chwmDatCtrl): コールバック関数をnEditコントロールに登録
	(CreateFromFile): Cq2chwmDatFile::Convertの引数に被レスありレス番号、複数ID色付けのためのハッシュマップを追加
	(OnCustomMessage): Cq2chwmDatFile::Convertの引数に被レスありレス番号、複数ID色付けのためのハッシュマップを追加
	(Jump): クリッカブルリンク対応(引数にリンク文字列を追加)
	(DrawProc): nEditコントロールの描画処理から呼ばれる関数追加(被レスありレス番号、複数ID、リンク文字列色付け処理を行う)
	(GetColorProc): nEditコントロールから色の問い合わせ時に呼ばれる関数追加
	(BeforeWindowProc): nEditコントロールがウィンドウメッセージを処理する前に呼ばれる(キーイベントをフックする)
	(AfterWindowProc): nEditコントロールがウィンドウメッセージを処理した後に呼ばれる(クリッカブルリンク機能のためにクリックイベントを処理する)
	(OnLButtonUp): nEditコントロールのクリックイベントを処理する(レス番号/URLリンク、被レスありレス番号、複数IDのクリックを処理する)
	(GrepRefer): 被レス抽出処理
	(GrepId): ID抽出処理
	(GrepName): 名前抽出処理

	* q2chwmDatCtrl.h (class Cq2chwmDatCtrl): 被レスありレス番号色付け、複数ID色付けのためのハッシュマップ追加
	(class Cq2chwmDatCtrl): nEditコントロールにセットするためのコールバック関数追加
	(class Cq2chwmDatCtrl): クリッカブルURLを処理するOnLButtonUpメソッド追加
	(class Cq2chwmDatCtrl): 抽出処理をCq2chwmDatCtrlクラスで行うようにした(Grep系メソッド追加)

	* q2chwmCommon.cpp: GetId, GetNumber, GetRefer, GetLink関数追加

	* q2chwmCommon.h (GetNumber): Unicode文字から[(レス番号)]を取得する関数追加
	(GetId): Unicode文字からID:(ID)を取得する関数追加
	(GetRefer): Unicode文字から>>(レス番号)を取得する関数追加
	(GetLink): Unicode文字から>>(レス番号)及び、URLを取得する関数追加

	* nEdit.cpp (draw_line): 前景色をコールバック関数で取得するようにした
	(caret_point_to_caret): From, Date行選択時1文字ずれていたため、q2ch拡張文字を考慮するようにした
	(nedit_proc): 前景色、背景色をコールバック関数から取得するようにした
	(nedit_proc): WM_ADDTEXT削除
	(nedit_proc): 色設定ウィンドウメッセージを削除し、コールバック関数登録ウィンドウメッセージ追加
	(q2ch_nedit_proc): ウィンドウメッセージをフックするために作成
	(draw_string): コールバック関数で描画可能にした

	* nEdit.h: コールバック関数で色を制御するようにした

	* q2chwmListItem.cpp (GetCountPerDay): 最初の表示のときだけ勢いを計算するようにした

	* q2chwmListItem.h (class Cq2chwmListItem): 表示のたびにtime関数を使って勢いを計算すると表示のたびに値が変わってしまうので勢いを保持するメンバ変数追加

	* q2chwmBookmarkView.cpp (OnKeyDown): 元研究所員Aさんのブックマーク入れ替えパッチ(http://w-zero3.org/uploader/src/up1072.zip)
	(SwapItem): NoソートのときのみShift+↑↓でブックマークアイテムの入れ替えを可能とした

	* q2chwmBookmarkView.h (class Cq2chwmBookmarkView): 元研究所員Aさんのブックマーク入れ替えパッチ(http://w-zero3.org/uploader/src/up1072.zip)

	* MainFrm.cpp (OnBoardClicked): 板クリックでスレッド一覧ビューを表示する前に描画回数を減らすためにカウント0セットするようにした

	* q2chwmSubjectView.cpp: 戻るでスレッド一覧ビューを表示したときにリストが空になってしまったのでカウント0セットはCMainFrame::OnBoardClickedでやるようにした

2008-03-16  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmppc.rc: ソート→勢いメニュー追加
	システム設定にリスト行間とリスト1行表示追加

	* q2chwmSubjectView.cpp (createList): ２ちゃんねる検索時、カラムヘッダが変更されなかったバグを修正
	(GetItemText): リスト1行表示時はカウントに改行を含めない
	(GetItemText): 勢い追加
	(OnShowWindow): スレッド一覧ビュー表示時、見苦しかったので描画回数を減らすためにアイテム数をクリアするようにした
	(OnInitialUpdate): 勢いカラム追加

	* q2chwmSubjectView.h (class Cq2chwmSubjectView): 勢い追加

	* q2chwmSubjectFile.cpp (compAsc): 勢い追加
	(compDesc): 勢い追加

	* q2chwmSubjectFile.h (class Cq2chwmSubjectFile): 勢い追加

	* q2chwmPageSystem.cpp (Cq2chwmPageSystem): リスト行間、リスト1行表示設定追加

	* q2chwmPageSystem.h (class Cq2chwmPageSystem): リスト行間、リスト1行表示設定追加

	* q2chwmListItem.cpp (GetCountPerDay): 勢いを取得するメソッド

	* q2chwmListItem.h (class Cq2chwmListItem): 勢いを取得するメソッド追加

	* q2chwmListView.cpp (SetFont): http://www.microsoft.com/japan/msdn/mobility/windowsmobile2003/dpi_awareness.aspxに乗ってるフォント作成方法に変更
	(DrawItem): リスト1行表示を考慮しアイテムの高さが32未満の場合はイメージを重ねて表示するようにした
	(MeasureItem): リスト行間ピクセル分アイテムの高さを変化させるようにした

	* q2chwmInfoFile.cpp (Create): 名前、メールの取得に失敗していたため正規表現にSJISを指定するようにした

	* q2chwmInfoFile.h (class Cq2chwmInfoFile): Writeメソッドの戻り値をintからBOOLに変更

	* q2chwmEditCtrl.cpp (SetFont): http://www.microsoft.com/japan/msdn/mobility/windowsmobile2003/dpi_awareness.aspxに乗ってるフォント作成方法に変更
	(AddText): string_flushするようにした(新着が1個多くなる現象が直ったかも)

	* q2chwmDatView.cpp (OnReply): 書き込み後infoファイル強制更新
	(OnEdit): 書き込み後infoファイル強制更新

	* q2chwmDatCtrl.cpp (Write): 書き込み後の名前が保存されないことがあったためWriteメソッドの引数にinfoファイル強制更新フラグを追加

	* q2chwmDatCtrl.h (class Cq2chwmDatCtrl): 書き込み後の名前が保存されないことがあったためWriteメソッドの引数にinfoファイル強制更新フラグを追加

	* q2chwmConfig.cpp (DEF_LISTMARGIN): リスト行間設定追加
	(DEF_LISTSINGLELINE): リスト1行表示設定追加

	* q2chwmConfig.h (CONF_LISTMARGIN): リスト行間設定追加
	(CONF_LISTSINGLELINE): リスト1行表示設定追加

	* q2chwmBookmarkView.h (class Cq2chwmBookmarkView): 勢いでのソート対応

	* q2chwmBookmarkView.cpp (OnInitialUpdate): 勢いカラム追加
	(GetItemText): リスト1行表示時、カウントに改行を含めないようにした
	(GetItemText): 勢いカラム追加(小数点1桁まで表示)
	(OnAdjustColumnWidth): リスト1行表示時はカウントを1/2しないようにした
	(OnSortCountPerDay): ソート→勢いメニュー

	* q2chwmBookmarkFile.h (class Cq2chwmBookmarkFile): 勢いでのソート対応

	* q2chwmBookmarkFile.cpp (compAsc): 勢いでのソート対応

	* q2chwmBoardView.cpp (ETC_BASE_INDEX): 外部板のスレッドをブックマーク追加する際に板名が入らなかったバグを修正

	* q2chwmBoardView.h (class Cq2chwmBoardView): Search系, GetBoard系メソッドで外部板を考慮

	* nEdit.h: string_insert後string_flushを呼ぶ必要があるようなのでstring_flushを外から呼べるようにした(新着が1個多くなる現象が直ったかも)

	* nEdit.cpp (string_flush): string_insert後string_flushを呼ぶ必要があるようなのでstring_flushを外から呼べるようにした(新着が1個多くなる現象が直ったかも)

2008-03-09  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwm/0.0.4

	* q2chwmDatFile.cpp (Convert): wchar_t対応版
	(encodeTag): HTML文字実体参照対応

	* q2chwmDatFile.h (class Cq2chwmDatFile): HTML文字実体参照(encodeTag, Convertにwchar_t対応したものを追加)

	* q2chwmDatCtrl.cpp (CreateFromFile): HTML文字実体参照対応

	* q2chwmPageNetwork.cpp: ネットワーク(書き込み)設定の追加により「書き込み時プロキシを使用しない」オプションを削除

	* q2chwmPageNetwork.h (class Cq2chwmPageNetwork): ネットワーク(書き込み)設定の追加により「書き込み時プロキシを使用しない」オプションを削除

	* q2chwmMessageDialog.h (class Cq2chwmMessageDialog): ネットワーク(書き込み)設定の追加により接続要求が書き込み処理によるものかの判別が必要となったため、
	書き込み処理中かどうかのフラグをstaticで持つようにし、Cq2chwmMessageDialog::GetRunningメソッドでフラグを取得可能にした

	* q2chwmMessageDialog.cpp: ネットワーク(書き込み)設定の追加により接続中要求が書き込み処理によるものかの判別が必要となったため、
	書き込み処理中かどうかのフラグをstaticで持つようにした
	(Send): 他の通信処理中に書き込み処理で切断が発生する場合は書き込み処理を中止するようにした
	(Send): 書き込み時に接続先を変更する対応
	(checkHtml): もちつけ2.0などのメッセージを表示するようにした

	* q2chwmConfigDialog.h (class Cq2chwmConfigDialog): ネットワーク(書き込み)設定追加

	* q2chwmConfigDialog.cpp (OnInitDialog): ネットワーク(書き込み)設定追加

	* q2chwmConfig.cpp (Cq2chwmConfig): ネットワーク(書き込み)設定追加

	* q2chwmConfig.h (class Cq2chwmConfig): ネットワーク(書き込み)設定追加

	* MainFrm.cpp (CallbackProc): 書き込み時に接続先を変更する対応
	接続、切断処理をCq2chwmConnectionManagerクラスに移動

	* MainFrm.h (class CMainFrame): 接続、切断処理をCq2chwmConnectionManagerクラスに移動

	* q2chwmPageOther.cpp (Write): 元研究所員Aさんの竜巻制御マージ(http://w-zero3.org/uploader/src/up1039.zip)

	* q2chwmMessageDialog.cpp (Send): 元研究所員Aさんの竜巻制御マージ(http://w-zero3.org/uploader/src/up1039.zip)

	* q2chwmConfig.cpp (DEF_VENTCONTROL): 元研究所員Aさんの竜巻制御マージ(http://w-zero3.org/uploader/src/up1039.zip)

	* q2chwmConfig.h (CONF_VENTCONTROL): 元研究所員Aさんの竜巻制御マージ(http://w-zero3.org/uploader/src/up1039.zip)

	* q2chwm.vcproj: 元研究所員Aさんの竜巻制御マージ(http://w-zero3.org/uploader/src/up1039.zip)

	* q2chwmMessageDialog.cpp (Send): 送信処理リファクタリング

	* MainFrm.cpp (OnNextArticle): ブックマークを表示するたびにinfoファイル更新チェックをしないようにしたので、
	datファイルを指定して新着アイテムを探すように修正(以前は、ブックマーク選択アイテムから新着を探していた)

	* q2chwmDatCtrl.cpp (OnKeyDown): キーイベントのたびにカレントレス番号取得のために最大でレス数分のループを行っていたが閲覧最大行数を保持するだけにし、
	infoファイル更新時にカレントレス番号を取得するように修正
	(Write): パフォーマンス向上のために、情報が更新されていなかったらinfoファイルを更新しないようにした

	* q2chwmDatCtrl.h (class Cq2chwmDatCtrl): キーイベントのたびにカレントレス番号を計算していたが最大閲覧行数だけを保持するようにした

	* q2chwmEditCtrl.cpp (AddText): パフォーマンス向上のためにウィンドウメッセージを使用しないようにした
	(GetTopLine): パフォーマンス向上のためにウィンドウメッセージを使用しないようにした

	* q2chwmConfig.cpp: 設定画面から参照できるようにするために、デフォルトの板URLをヘッダに移動

	* q2chwmConfig.h (DEF_BOARDURL): 設定画面から参照できるようにするために、デフォルトの板URLをヘッダに移動

	* q2chwmBookmarkView.cpp (GetNextItem): 引数datファイルのアイテムの次から新着アイテムを検索するように変更

	* q2chwmBookmarkView.h (class Cq2chwmBookmarkView): GetNextItemにdatファイルの引数追加

	* q2chwmBookmarkItem.cpp: ブックマーク表示のたびにinfoファイル更新チェックをしないようにした

	* q2chwmBookmarkItem.h (class Cq2chwmBookmarkItem): Updateメソッド追加

	* nEdit.cpp: string_insert関数を外部から呼べるようにした
	(get_buffer_length): BUF_LENマクロを外部から使えるようにした

	* nEdit.h: パフォーマンス向上のためにCq2chwmEditCtrl::AddTextをウィンドウメッセージなしで処理できるように修正

2008-03-08  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmPageNetwork.cpp (OnInitDialog): SoftBank VFJP WAP接続でIMEIが付いてないと書き込めなかったためダミーのIMEIを付加した

	* MainFrm.cpp (Disconnect): 切断処理が機能していなかったためRAS APIを使用し切断処理を行うように修正

2008-03-03  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmPageSystem.cpp (Write): 板取得URLが未入力のときデフォルトをセットするように修正

	* q2chwmBbsMachi.cpp (GetUrl): まちBBSで1番目のレス取得に失敗していたバグを修正

2008-02-23  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmDatView.cpp: 次の新着ブックマークへ移動処理をDatCtrlに移動したためDatViewからは削除

	* q2chwmDatCtrl.cpp (OnKeyDown): スレッド最後の長文メッセージをスクロールさせるために次の新着ブックマークへ移動処理をDatCtrlに移動
	(JumpNextMessage): スレッド最後のメッセージの終端が画面外だった場合ページダウンするように修正

	* q2chwmDatCtrl.h (class Cq2chwmDatCtrl): スレッド最後の長文メッセージがページダウンしなかったバグを修正

	* nEdit.cpp: スクロール時にごみが残っていたのでスクロールするごとに描画するように修正

	* q2chwmMessageDialog.cpp (Send): コンパイルエラー・・・

	* q2chwmCommon.h (ERR_SEND_COOKIE): 書き込み確認ページ判定用エラー定義追加

	* resourceppc.h (ID_MENU_OK_IE): IEみたいに送信メニュー追加

	* q2chwmppc.rc: IEみたいに送信メニュー追加

	* q2chwmThreadDialog.cpp (EnableControls): 書き込み処理中はコントロールを無効にするようにした

	* q2chwmThreadDialog.h (class Cq2chwmThreadDialog): 書き込み処理中はコントロールを無効にするようにした

	* q2chwmMessageDialog.h (class Cq2chwmMessageDialog): IEみたいに送信対応

	* q2chwmMessageDialog.cpp (Send): IEみたいに送信対応
	(Send): 書き込み確認ページが複数回表示されることがあるので5回までリトライするようにした
	(SetParameter): ●ID/PASSが設定されてなかったらiniにSIDが存在してもSIDを送信しない
	(OnMenuSendLikeIe): IEみたいに送信対応
	(EnableControls): 書き込み処理中はコントロールを無効にするようにした

	* q2chwmThreadDialog.cpp (OnMenuSendLikeIe): IEみたいに送信対応
	(SetParameter): ●ID/PASSが設定されてなかったらiniにSIDが存在してもSIDを送信しない

	* q2chwmThreadDialog.h (class Cq2chwmThreadDialog): IEみたいに送信対応

	* q2chwmSubjectFile.cpp (CreateFromFile): dat落ちスレも表示するようにしたけどパフォーマンスが落ちるのでコメントアウトして再検討

	* q2chwmBookmarkView.cpp (SortItems): リロード中ソート禁止のメッセージを表示するとブックマークに戻ったときにメッセージがでちゃう

	* q2chwm.cpp: 設定、終了メニューをブックマークリロード中選択できないようにした

	* q2chwm.h (class Cq2chwmApp): 設定、終了メニューをブックマークリロード中選択できないようにした

2008-02-20  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmBookmarkView.cpp (SortItems): リロード中はソートを行えないようにした
	(ThreadReloadProc): リロード中ソートできないようにしたので、m_bo_runningをFALSEにするタイミングを変更

	* q2chwmBbsLivedoor.cpp (WriteFileConvert): SoftBank VFJP WAP接続でJBBSのrawmode.cgi経由でdatを取得すると文字化けしてエラーになるのでログ出力を入れた

	* q2chwmBbs.cpp (WriteFileConvert): SoftBank Open接続でUser-AgentをIEにしたらdatの先頭にHTMLタグがくっつきdatが壊れてしまう現象が出たためフォーマットチェックを入れた

2008-02-17  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmBbsLivedoor.cpp (GetUrl): m_in_indexが常に1だと差分取得時に欠番多数になってしまうバグ修正。欠番処理のためのメンバ変数m_in_indexの初期化をGetUrlで行うようにした

	* q2chwmppc.rc: プログレスバーの高さ変更

	* q2chwmPageKey.cpp (PreTranslateMessage): リストビューでEnter押下時キーエディットボックスにフォーカス移動(WM6 Std対応)

	* q2chwmListView.cpp (Copy): スレッド名、URLをクリップボードにコピーする際のフォーマットがぜんぜん違っていたのを修正

	* MainFrm.cpp (Connect): ActiveSync時にネットワーク接続判定に失敗するようになったため、ログ出力追加(前はActiveSyncのとき普通にネットワークに繋げられたような気がするんだけどな)

	* q2chwmBookmarkFile.cpp (Write): 書き込み前ソートが効いていなかったため、板一覧取得時にブックマークの順番が変わってしまっていたバグを修正

	* q2chwmBookmarkView.cpp (AddBookmark): ブックマークファイルのソートはCq2chwmBookmarkFile::Write内で行うようにした

	* q2chwmCommon.cpp (PostCustomMessage): スレッド上のリンクからスレッドを開いたときにタブにスレッド名が入らなかったバグを修正

	* q2chwmDatCtrl.cpp (JumpUrl): デバッグ出力修正

	* resourceppc.h (ID_ADJUST_COLUMN_WIDTH): リストビューヘッダ調節追加

	* q2chwmppc.rc: リストビューヘッダ調節追加

	* q2chwmSubjectView.cpp (OnAdjustColumnWidth): リストビューヘッダ調節メニュー

	* q2chwmSubjectView.h (class Cq2chwmSubjectView): リストビューヘッダ調節メニュー

	* q2chwmPageKey.cpp (PreTranslateMessage): キー操作のみで設定可能にするためにキーエディットボックスEnter押下でフォーカス移動するようにした
	(OnNMReturnList): リストビューEnterでフォーカス移動

	* q2chwmPageKey.h (class Cq2chwmPageKey): キー操作のみで設定できるようにするためにリストビューEnterでフォーカス移動するようにした

	* q2chwmListView.cpp (DrawItem): 列幅を超える文字列に...を付加する処理を廃止、また列幅に収める処理をDrawTextに任せるようにした

	* q2chwmCacheView.cpp (OnAdjustColumnWidth): リストビューヘッダ調節メニュー

	* q2chwmCacheView.h (class Cq2chwmCacheView): リストビューヘッダ調節メニュー

	* q2chwmBookmarkView.cpp (OnAdjustColumnWidth): リストビューヘッダ調節メニュー

	* q2chwmBookmarkView.h (class Cq2chwmBookmarkView): リストビューヘッダ調節メニュー

	* q2chwm.vcproj: WM6 Std対応

	* q2chwmppc.rc: 接続先設定、User-Agent設定追加
	最大スレッド数、最大タブ数をコンボボックスに変更

	* resourceppc.h (IDC_STATIC_CONN): 接続先設定、User-Agent設定追加

	* q2chwmConfig.cpp (Cq2chwmConfig): 接続先設定、User-Agent設定追加

	* q2chwmConfig.h (CONF_CONNECTION): 接続先設定追加
	(CONF_USERAGENT): User-Agent設定追加

	* q2chwmCommon.cpp (RemoveDirectory): ディレクトリが空のとき削除できなかったバグを修正

	* q2chwmCommon.h (RemoveFile): 板移転時のエラーを拾うためにBOOLを返すように修正(RemoveDirectoryから呼ばれている)

	* time.cpp: WM6 Std対応

	* q2chwmSearchDialog.cpp (OnInitDialog): コンボボックスの高さに合わせてボタンサイズを変更するようにした

	* q2chwmPageNetwork.cpp (Cq2chwmPageNetwork): User-Agent設定追加
	(DoDataExchange): プロキシホストをコンボボックスに変更し、SoftBank VFJP WAP接続時のプロキシをアイテムにセット
	(OnInitDialog): 接続先設定追加
	(OnBnClickedCheckProxyuse): プロキシ使用未チェック時関連コントロールを無効にするようにした
	(OnSize): レイアウト変更

	* q2chwmPageNetwork.h (class Cq2chwmPageNetwork): 接続先、User-Agent設定追加

	* q2chwmMessageDialog.cpp (Send): 書き込み時プロキシを使用しないの設定が逆の意味になっていたバグを修正

	* q2chwmFind2chDialog.cpp (OnInitDialog): コンボボックスの高さに合わせてボタンサイズを変更するようにした

	* q2chwmBoardView.cpp (DetectRemoval): 板移転検出時、その他ファイルを書き換えるように修正

	* q2chwmBoardFile.cpp (CreateFromHttp): User-Agent設定追加にともなう修正
	(CreateFromHttp): 板一覧取得時、プログレスバーが動かなかったバグを修正
	(CreateFromHttp): http://azlucky.s25.xrea.com/の板一覧をパースできるように修正(ただし、板IDが重複すると板移転処理が走っちゃう)
	(Replace): 板移転時にその他ファイルを書き換えられるようにReplaceメソッド追加

	* q2chwmBoardFile.h (class Cq2chwmBoardFileEtc): 板移転時、その他ファイルを書き換えるためにReplaceメソッド追加

	* MainFrm.cpp (PreCreateWindow): ウィンドウクラス名を指定するように修正(WCE_q2chwmになるようだ)

	* q2chwm.cpp (OnSearchRelatedSubject): SJIS2バイト目に正規表現の記号が含まれる場合に検索に失敗していたバグを修正

2008-02-16  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmDatCtrl.cpp (JumpLastMessage): メニューの下でレス移動した場合に新着フラグが更新されないバグを修正

	* q2chwmConfigDialog.cpp (OnInitDialog): WM6 Std対応

	* q2chwmConfigDialog.h (class Cq2chwmConfigDialog): WM6 Std対応

	* q2chwmBoardView.cpp (OnInitialUpdate): IMEオフ処理追加
	(OnNMReturn): WM6 Std対応
	(OnKeyDown): WM6 Std対応

	* q2chwmBbsLivedoor.cpp (WriteFileConvert): 欠番処理追加

	* q2chwmBbsLivedoor.h (class Cq2chwmBbsLivedoor): 欠番処理追加

	* q2chwmFolderSelector.cpp (PreTranslateMessage): WM6 Std対応(ツリーコントロールの開閉処理追加)

	* q2chwmFolderSelector.h (class Cq2chwmFolderSelector): WM6 Std対応

	* q2chwm.cpp (InitInstance): WM6 Std対応

	* MainFrm.cpp (OnCreate): WM6 Std対応
	(Connect): 接続先設定追加にともなう接続処理の修正
	(IsConnected): 接続先設定追加にともなう接続判定処理の修正

	* MainFrm.h (class CMainFrame): WM6 Std対応

	* q2chwmSubjectFile.cpp (CreateFromHttp): User-Agent設定対応

	* q2chwmProgramSelector.cpp (OnInitDialog): WM6 Std対応

	* q2chwmProgramSelector.h (class Cq2chwmProgramSelector): WM6 Std対応

	* q2chwmPageSystem.cpp (DoDataExchange): 最大スレッド数と最大タブ数をコンボボックスに変更

	* q2chwmPageKey.cpp (OnInitDialog): IMEオフ処理追加

	* q2chwmMessageDialog.cpp (OnInitDialog): WM6 Std対応
	(OnInitDialog): ウィンドウごとにIMEを制御するようにしたためIME制御処理の削除

	* q2chwmMessageDialog.h (class Cq2chwmMessageDialog): WM6 Std対応

	* q2chwmListView.cpp (OnCreate): IMEオフ処理追加

	* q2chwmGrepDialog.cpp (OnInitDialog): IMEオフ処理追加
	(OnInitDialog): WM6 Std対応

	* q2chwmGrepDialog.h (class Cq2chwmGrepDialog): WM6 Std対応

	* q2chwmDatView.cpp (OnInitialUpdate): IMEオフ処理追加

	* q2chwmCommon.cpp (SipOff): IMEを無効にする処理をImmAssociateContextを使うように修正

	* q2chwmBookmarkView.cpp (AddBookmark): ソート状態でブックマーク追加を行ったときにNoがソート順になってしまうためNoでソート->ブックマーク追加->ソート戻すという処理に変更

	* q2chwmBbs.cpp (OpenUrl): User-Agent設定対応

2008-02-09  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmBookmarkView.cpp (OnReload): ThreadReloadProcをスレッド起動だけするようにしてスレッドの終了を待たないようにした
	(ThreadReloadProc): このスレッドでDAT取得スレッドを生成し、終了を待つようにした

	* q2chwmBookmarkView.h (class Cq2chwmBookmarkView): ブックマークリロード時のスレッド処理見直し

2008-02-04  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmDatCtrl.cpp (GetMessageId): したらばのIDが正しく取得できないバグを修正

	* q2chwmConfig.cpp (readKeyConf): 新規書き込みみと返信のキー設定読み込みが出来ていなかったバグを修正

2008-02-03  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwm.vcproj: debug時、libYo*d.libをリンクするようにしたけどなぜかバイナリはd付きをリンクしない・・・

	* q2chwmThreadDialog.cpp: 編集系メニューに対応

	* q2chwmThreadDialog.h (class Cq2chwmThreadDialog): 編集系メニューに対応

	* q2chwmSubjectView.cpp (Copy): コピーメニューでスレッド情報をクリップボードにコピーするようにした(修正前は板情報をコピーしていた)

	* q2chwmPageFont.cpp (OnSize): レイアウト変更

	* q2chwmMessageDialog.cpp (OnMenuPaste): レス以外でも貼り付けできるようにした
	(OnMenuPasteCite): レス以外でも引用記号付き貼り付けできるようにした

	* q2chwmGrepDialog.cpp (OnMenuCopy): 1レスコピーメニュー
	(OnMenuJump): ジャンプメニュー
	(OnMenuCopyAll): 全てコピーメニュー
	(OnMenuWrap): 折り返しメニュー

	* q2chwmGrepDialog.h (class Cq2chwmGrepDialog): ジャンプ機能対応、折り返しメニュー追加

	* q2chwmDatView.cpp (OnGrepId): 抽出ダイアログのジャンプ機能対応
	(OnGrepName): 抽出ダイアログのジャンプ機能対応
	(OnGrepRefer): 正規表現修正
	(OnGrepRefer): 抽出ダイアログのジャンプ機能対応

	* q2chwmDatFile.cpp (Convert): 連続した改行を削除がうまく機能していなかったため修正(改行が3個続いたら改行しない)

	* q2chwmDatCtrl.cpp (CopyMessage): 1レスコピーメソッド
	(CopyMessageAll): 全てコピーメソッド

	* q2chwmDatCtrl.h (class Cq2chwmDatCtrl): 抽出機能用に1レスコピーと全てコピーメソッド追加

	* q2chwmCacheView.cpp (Search): 検索でマッチした場合に検索ソート後最上部へ移動するようにした

	* q2chwmBookmarkView.cpp (Search): 検索でマッチした場合に検索ソート後最上部へ移動するようにした

	* q2chwmBoardView.cpp (Copy): コピーメニューで板情報をクリップボードにコピーするようにした

	* q2chwmBoardView.h (class Cq2chwmBoardView): コピーメニューで板情報をクリップボードにコピーするようにした

	* q2chwm.cpp (OnConfig): 設定画面を開いたときにウィンドウタイトルを変更するようにした

	* MainFrm.cpp (OnCopy): コピーメニューで板情報をクリップボードにコピーするようにした

	* nEdit.cpp: スレッドが1画面に収まる場合にスクロールしなかったためチェック処理をコメントアウト

	* q2chwmSubjectView.cpp (OnKeyDown): サブキー対応

	* q2chwmSubjectFile.cpp (CreateFromFindUrl): メソッド名の統一

	* q2chwmPageKey.cpp (PreTranslateMessage): サブキー対応
	(OnLvnItemchangedList): サブキー対応
	(OnBnClickedButtonDisable): 無効ボタン処理追加
	(setCode): キーを変更したときにリストの内容を変更するようにした

	* q2chwmPageKey.h (class Cq2chwmPageKey): サブキー対応
	(class Cq2chwmPageKey): 無効ボタンの処理追加(忘れてました)

	* q2chwmPageBoard.cpp (OnInitDialog): メソッド名の統一

	* q2chwmListItem.h (class Cq2chwmListItem): 板移転時、ブックマークの板URLを書き換える必要があったためSetBoardUrlメソッド追加

	* q2chwmListView.cpp (OnKeyDown): サブキー対応
	(OnKeyDown): ビュー切り替えメニュー対応

	* q2chwmDatView.cpp (OnKeyDown): サブキー対応
	(OnKeyDown): ビュー切り替え、表示すれの板を開く、透明あぼーん、折り返し、再読み込み、ID抽出、名前抽出、被レス抽出キー追加
	(OnKeyDown): 次の新着ブックマークへの処理をDatCtrlからDatViewに移動(抽出ダイアログで次の新着ブックマーク機能をなくしたいため)
	(OnDispReload): 再読み込み時、レス位置を失わないためにinfoを更新するようにした
	(OnDispAbone): 透明あぼーん時、レス位置を失わないためにinfoを更新するようにした
	(OnGrepId): ID抽出メソッド
	(OnGrepName): 名前抽出メソッド
	(OnGrepRefer): 被レス抽出メソッド

	* q2chwmDatView.h (class Cq2chwmDatView): ID抽出、名前抽出、被レス抽出追加

	* q2chwmEditCtrl.cpp (SetText): Unicode版追加
	(AddText): Unicode版追加

	* q2chwmEditCtrl.h (class Cq2chwmEditCtrl): SetText, AddTextにUnicode版追加

	* q2chwmConfigDialog.cpp: タブ廃止でメニュー化
	(OnInitDialog): NGワード、書き込み、その他設定ダイアログ追加

	* q2chwmConfigDialog.h (class Cq2chwmConfigDialog): NGワード、書き込み設定用にURL配列、テキスト配列を追加
	(class Cq2chwmConfigDialog): NGワード、書き込み、その他設定ダイアログ追加
	(class Cq2chwmConfigDialog): タブ廃止でメニュー化

	* q2chwmConfig.cpp : キー追加、NGワード設定、書き込み設定、その他設定追加、サブキー対応

	* q2chwmConfig.h : キー追加、NGワード設定、書き込み設定、その他設定追加、サブキー対応

	* q2chwmCommon.cpp (ConvertZenkaku): 数値を全角(SJIS)に変換する関数(被レス抽出時の正規表現生成時に使用)

	* q2chwmCommon.h (ConvertZenkaku): 数値を全角(SJIS)に変換する関数(被レス抽出時の正規表現生成時に使用)

	* q2chwmDatCtrl.cpp (Cq2chwmDatCtrl): 透明あぼーんフラグをコンストラクタで取得するようにした
	(OnKeyDown): サブキー対応
	(JumpNextLine, JumpPrevLine): 抽出ダイアログではリンクを選択しないでスクロールする必要があるためリンクを選択するかどうかのフラグ追加
	(JumpNextMessage): 次レス移動で長文を考慮オプション対応
	(ResetNewKey): 名前行が折り返されているときが考慮されていなかったのを修正
	(GetMessageText): 名前行、日付行が折り返されている場合を考慮されていなかったのを修正
	(GetSelectedString): パフォーマンス向上のためにCStringでUnicodeのまま受け取るようにした
	(GetMessageId): ID抽出対応
	(GetMessageId): 名前抽出対応(メールアドレスに<が含まれると正しく抽出できない・・・)

	* q2chwmDatCtrl.h (class Cq2chwmDatCtrl): 抽出ダイアログではリンクを選択しないでスクロールする必要があるためJumpNextLine, JumpPrevLineにリンクを選択するかどうかのフラグ追加
	(class Cq2chwmDatCtrl): パフォーマンス向上のためにテキスト取得メソッドではCStringを取得するように修正(UnicodeからWide文字への変換がなくなる)

	* q2chwmBoardItem.h (class Cq2chwmBoardItem): メソッド名の統一

	* q2chwmBoardView.cpp (DetectRemoval): 板移転時にブックマーク書き換え処理追加
	(MergeDirectory): 板移転時、移転前の板ディレクトリが存在しない場合にエラー判定となっていたのを修正
	(MergeDirectory): 板移転時、移転前のドメインディレクトリが空になったらドメインディレクトリを削除するようにした
	(OnKeyDown): サブキー対応
	(AddBookmark): ブックマーク追加メニューでその他に追加するようにした

	* q2chwmBoardView.h (class Cq2chwmBoardView): ブックマーク追加(板をその他に追加)機能追加

	* q2chwmBookmarkFile.cpp (Replace): 板移転時のブックマーク書き換えメソッド

	* q2chwmBookmarkFile.h (class Cq2chwmBookmarkFile): 板移転時のブックマーク書き換えメソッド追加

	* q2chwmBookmarkView.cpp (OnKeyDown): サブキー対応

	* q2chwmCacheView.cpp (OnKeyDown): サブキー対応

	* q2chwm.cpp (PopupViewMenu): ビュー切り替えショートカット用メソッド

	* q2chwm.h (class Cq2chwmApp): ビュー切り替えショートカット対応

	* MainFrm.cpp (PreTranslateMessage): サブキー対応

	* q2chwmBoardFile.cpp (Write): メソッド名の統一
	(InsertBoard): ブックマーク追加メニューでその他に追加するときに先頭に追加するためのメソッド

	* q2chwmBoardFile.h (class Cq2chwmBoardFile): メソッド名の統一

2008-02-01  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmCommon.cpp (ChangeSip): SIP変更関数
	(SipOff): SIPを英数にする関数
	(SipOn): SIPを日本語にする関数
	(GetClipBoardText): 貼り付けメニュー、引用記号付き貼り付けメニューのためにクリップボードのテキストを取得する関数を追加

	* q2chwmCommon.h (SipOn, SipOff, ChangeSip): SIP操作関数追加
	(GetClipBoardText): クリップボードのテキストを取得する関数
	(GetStringLength, GetByteLength): 検索をUnicodeを行うようにしたため削除

	* q2chwmBoardView.cpp (OnKeyDown): ページダウン、ページアップ対応

	* q2chwmPageNetwork.cpp: デフォルトsageオプションを書き込み設定に移動

	* q2chwmPageNetwork.h (class Cq2chwmPageNetwork): デフォルトsageオプションを書き込み設定に移動

	* q2chwmPageFont.cpp (OnSize): スレッドの位置を最下部に変更。今後複数登録できるようにするかもしれないので。

	* q2chwmMessageDialog.cpp (Send): キャンセル処理を実現するために処理フラグ追加
	(OnOK): 処理完了後、SIPを英数にするようにした
	(OnInitDialog): ダイアログ表示時、SIPを日本語にするようにした
	(OnInitDialog): 定型文機能対応
	(OnInitDialog): OKメニューを廃止し、編集系メニューを追加
	(OnInitDialog): 編集時、レスにフォーカスオプション対応
	(OnCancel): 処理中ならキャンセル処理を行うようにした
	(OnCancel): キャンセルした際にSIPを英数に変更するようにした
	(SetFont): 太字対応
	(OnCbnSelendokComboTemplate): 定型文機能追加により\nを改行に変換する処理を追加
	(OnMenuCopy): コピーメニュー
	(OnMenuCut): 切り取りメニュー
	(OnMenuPaste): 貼り付けメニュー
	(OnMenuPasteCite): 引用記号つき貼り付けメニュー
	(OnMenuDelete): 削除メニュー
	(OnMenuUndo): 元に戻すメニュー

	* q2chwmMessageDialog.h (class Cq2chwmMessageDialog): 処理中フラグ追加
	(class Cq2chwmMessageDialog): OKメニューを廃止し、編集系メニュー追加

	* q2chwmListView.cpp (OnKeyDown): ページダウン、ページアップ対応

	* q2chwmEditCtrl.cpp (GetWrap): 折り返しメニューenable/disable切り替えのために追加
	(GetLineString): q2ch拡張文字を含めるかどうかのフラグ追加
	(SearchNext): GetLines呼び出しを1回にすることで検索高速化
	(GetSelectedString): q2ch拡張文字を含めるかどうかのフラグ追加

	* q2chwmEditCtrl.h (class Cq2chwmEditCtrl): ウィンドウハンドルをpublicにした
	(class Cq2chwmEditCtrl): GetLineStringで取得する文字列にq2ch拡張文字を含めるかどうかのフラグ追加。NGワード、定型文設定画面用

	* q2chwmDatView.cpp (OnKeyDown): スクロール対応
	(OnAddTemplate): 選択範囲を定型文に追加メニュー
	(OnAddNg): 選択範囲をNGワードに追加メニュー

	* q2chwmDatView.h (class Cq2chwmDatView): 選択範囲を〜に追加メニュー用メソッド追加

	* q2chwmDatCtrl.cpp (Reload): 再読み込みメニュー用メソッド追加
	(CreateFromFile): NGワード機能対応、連続する改行を削除対応
	(createIndex): Cq2chwmEditCtrl::GetLines呼び出しを1回にして高速化
	(GetLastMessageNumber): あぼーんされたメッセージを考慮した終端メッセージ番号取得メソッド
	(GetFirstMessageNumber): あぼーんされたメッセージを考慮した先頭メッセージ番号取得メソッド
	(MoveWindow): ウィンドウサイズ変更時にカレントメッセージを見失わないようにした
	(GetCurrentMessageText): NGワード、定型文設定画面にカレントメッセージをセットするためにカレントメッセージ取得メソッドに名前行と日付行を含めるかどうかのフラグ追加
	(SetWrao): 折り返しメニュー用メソッド追加
	(GetWrao): 折り返しメニュー用に折り返し状態がどうかを返すメソッド
	(SetTransParentAbone): 透明あぼーんメニュー用メソッド追加
	(GetTransParentAbone): 透明あぼーんメニュー用に透明あぼーん状態かどうかを返すメソッド追加
	(ShowWindow): ブックマーク巡回後スレッドを表示した際に新着メッセージがあぼーんされたものだった場合を考慮し画面表示時に新着フラグを変更する処理を追加
	(GetSelectedString): 選択範囲を〜に追加メニュー用メソッド
	(SendMessage): nEditにウィンドウメッセージを投げるメソッド

	* q2chwmDatCtrl.h (class Cq2chwmDatCtrl): NGワード機能用にメンバ変数にCYoRegexクラス追加
	(class Cq2chwmDatCtrl): 折り返し、透明あぼーん、再読み込みメニュー用メソッド追加
	(class Cq2chwmDatCtrl): 選択範囲をNGワードに追加、選択範囲を定型文に追加メニュー用メソッド追加

	* MainFrm.cpp (Connect): ネットワーク接続処理にタイムアウト(30sec)を設定

	* q2chwm.h (class Cq2chwmApp): メソッド名修正subject->Subject

	* q2chwm.cpp (InitInstance): メモリカードのマウントが外れていた場合を想定し、親ディレクトリが存在しなかった場合にメッセージを表示するようにした
	(InitInstance): 起動時にSIPを英数に変更するようにした
	(OnConfig): NGワード、定型文設定画面にURLとカレントメッセージを初期値とするためにCq2chwmConfigDialogにセットする処理を追加
	(OnViewCurrentSubject): 表示スレッドの板を開くメニュー
	(OnSearchRelatedSubject): 次スレ検索メニュー

	* q2chwm.h (class Cq2chwmApp): 次スレ検索、表示スレッドの板を開くメニュー追加

	* q2chwmArticleFile.cpp: q2ch本家のキャッシュ処理コメントアウト個所の削除

2008-01-27  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmSubjectView.cpp (Reload): 次スレ検索前の最新化のためにReloadメソッド追加

	* q2chwmSubjectView.h (class Cq2chwmSubjectView): 次スレ検索前の最新化のためにReloadメソッド追加

	* q2chwmPageSystem.h (Write): GetLastCtrlメソッドの廃止

	* q2chwmPageNetwork.cpp: BEGIN_MESSAGE_MAPの親クラスの修正

	* q2chwmPageNetwork.h (class Cq2chwmPageNetwork): GetLastCtrlメソッドの廃止

	* q2chwmPageKey.h (OnInitDialog): GetLastCtrlメソッドの廃止

	* q2chwmPageKey.cpp (OnSize): リストビューのサイズ変更

	* q2chwmPageFont.h (class Cq2chwmPageFont): GetLastCtrlメソッドの廃止

	* q2chwmPageColor.h (Write): GetLastCtrlメソッドの廃止

	* q2chwmPageBoard.cpp (Write): 更新された場合のみetc.txtを再作成するようにした

	* q2chwmPageBoard.h (class Cq2chwmPageBoard): 更新された場合のみetc.txtを再作成するようにした

	* q2chwmDatView.cpp (AddBookmark): スレッドからリンクで別スレッドを開いた場合、ブックマーク追加で板名が入らなかったバグを修正
	GetCurrent*系メソッド追加
	(OnDispReload): 再読み込みメニュー
	(OnDispWrap): 折り返しメニュー
	(OnDispAbone): 透明あぼーんメニュー

	* q2chwmDatView.h (class Cq2chwmDatView): NGワード、定型文設定のためにカレントスレッドの板情報、スレッド情報を取得するGetCurrent*系メソッド追加
	(class Cq2chwmDatView): 再読み込み、折り返し、透明あぼーんメニュー対応

	* q2chwmDatFile.cpp (Convert): 連続する改行を削除設定の追加
	(Convert): NGワード設定の追加

	* q2chwmDatFile.h (class Cq2chwmDatFile): 連続する改行を削除設定の追加

	* q2chwmBookmarkItem.cpp (refresh): 未読数計算の変更。スレッドのレス数 - 最大閲覧数 = 未読数

	* q2chwmBoardView.cpp (SearchPrev): メソッド名の統一

	* q2chwmBoardItem.h (class Cq2chwmBoardItem): メソッド名の統一

2008-01-21  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmEditCtrl.cpp (GetLine): パフォーマンスの向上のためにlstrlenを廃止(縦横切り替えのパフォーマンス向上)
	(IsLineEnd): SendMessageを使わずに行の終端をチェックできるメソッド追加
	(SearchNext): Unicodeのまま正規表現にかけるように修正(検索のパフォーマンス向上)
	(SearchPrev): Unicodeのまま正規表現にかけるように修正(検索のパフォーマンス向上)

2008-01-20  Fujita YOSHITOMO  <ystm@ultrapop.jp>

	* q2chwmEditCtrl.cpp (SetFont): フォント太字対応
	(GetLineString): 呼び出し元でバッファを用意するメソッド追加(検索で使用)

	* q2chwmEditCtrl.h (class Cq2chwmEditCtrl): フォント太字対応
	(class Cq2chwmEditCtrl): パフォーマンス向上のために呼び出し元でバッファを用意するint GetLineString(int, TCHAR*, int)を追加

	* q2chwmDatView.cpp (Cq2chwmDatView): フォント太字対応
	タブ最大数を超えて新しいタブを開いたときにタイトルバーのテキストが2度更新されてしまう現象を1度に修正
	(SearchNext): 検索終了時にメッセージボックスを表示するようにした

	* q2chwmDatView.h (class Cq2chwmDatView): フォント太字対応

	* q2chwm.cpp (OnViewArticle): ビュー→スレッド選択でタイトルバーのテキストを変更する

	* q2chwmInfoFile.cpp (Create): マルチスレッドで呼ばれるのでstaticを外した

	* MainFrm.cpp (Connect): ネットワークにつながらない場合無限ループしていたためタイムアウトを30秒にした

	* MainFrm.h (class CMainFrame): 書き込み画面から通信をキャンセル出来るようにSetCancelメソッド追加

	* q2chwmSubjectView.cpp (SetFont): フォント太字対応
	(Search): マッチした場合、上へ移動するようにした

	* q2chwmPageFont.cpp (OnSize): フォント太字対応
	(OnInitDialog): フォント太字対応
	(Write): フォント太字対応

	* q2chwmPageFont.h (class Cq2chwmPageFont): フォント太字対応

	* q2chwmListView.cpp (SetFont): フォント太字対応

	* q2chwmListView.h (class Cq2chwmListView): フォント太字対応

	* q2chwmInfoFile.cpp (Create): 最大閲覧レス番号追加
	(Write): 最大閲覧レス番号追加

	* q2chwmInfoFile.h (class Cq2chwmInfoFile): ブックマークの未読表示のために最大閲覧レス番号追加
	以前はarticleファイルのseenを使用していたがinfoファイルのみで未読数が分かるように統一

	* q2chwmDatCtrl.cpp (CreateFromFile): 未読表示のためにinfoファイルに最大閲覧レス番号(max)を追加したのでmaxの値を読み込むように修正
	(OnKeyDown): キーが押されるたびにinfoファイルの最大閲覧レス番号を更新するように修正
	(SetFont): フォント太字対応

	* q2chwmDatCtrl.h (class Cq2chwmDatCtrl): フォント太字対応

	* q2chwmConfig.cpp (Cq2chwmConfig): フォント太字対応

	* q2chwmConfig.h (class Cq2chwmConfig): フォント太字対応

	* q2chwmCacheView.cpp (SetFont): フォント太字対応

	* q2chwmBookmarkView.cpp (SetFont): フォント太字対応

	* q2chwmBoardView.cpp (SetFont): フォント太字対応
	(OnNMClick): クリックイベント処理追加

	* q2chwmBoardView.h (class Cq2chwmBoardView): クリックイベント処理追加

	* nEdit.cpp: パフォーマンス向上のための修正
	(caret_move): ページダウン/アップ出来るように修正

	* nEdit.h: EM_LINELENGTHとEM_GETLINEをウィンドウメッセージを介さずに処理出来るように
	line_get_lengthとindex_to_charのstaticを外した

